*********************************************** syntax 1: to select variables from the person files ***********************************************
cd "FILL IN WHERE TO FIND THE FILES"
* stata version 14 was used. 

*********************************************** wave 1. 
use "SHP-Data-W1-W16-STATA\W1_1999\shp99_p_user.dta", clear  // DOWNLOAD THESE FILES FROM THE OFFICIAL WEBSITE 
* only individual questionaires selected and general data
keep if status99 == 0
gen Birth = 1999 - age99 if age99>14 & age99<100
gen jaar = 1999
gen sam = 1
rename pdate99 DateInterview
gen double ID = idpers
gen double ID_H = idhous99
gen ID_Spouse = idspou99
gen Typ_member = relarp99
recode sex99 (1=1 "man") (2=0 "vrouw") (else =.), gen(Sex) 
recode age99 (min/-1=.) (101/max=.), gen(Age) 
recode isced99 (0 = 0)(10=1) (20=2) (31=3) (32=3) (33=3) (41=4) (51=5) (52=5) (60=6) (else=.), gen(edu)
* Partner info. 
recode cohast99 (2=0) (1=1) (else= .), gen(Married)
recode civsta99 (1=0) (2=1) (3=2) (4=3) (5=4) (else= .), gen(Marital) 
gen MarChangeMonth = p99d17m
gen MarChangeYear = p99d17
recode p99d29 (3=0) (2=1) (1=2) (else=.), gen(Partner)
gen P_year = p99d31
recode p99n04 (min/-1=.) (11/max=.), gen(P_PSupport)
recode p99n05 (min/-1=.) (11/max=.), gen(P_ESupport)
* child info. 
gen     C_nr_outsideH = p99d36
recode p99d40 (-9/-1=.), gen(C_Age_OH1)
recode p99d45 (-9/-1=.), gen(C_Age_OH2)
recode p99d50 (-9/-1=.), gen(C_Age_OH3)
recode p99d55 (-9/-1=.), gen(C_Age_OH4)
recode p99d60 (-9/-1=.), gen(C_Age_OH5)
recode p99d65 (-9/-1=.), gen(C_Age_OH6)
recode p99d70 (-9/-1=.), gen(C_Age_OH7)
* other. 
gen Health_Disability = p99c08 
recode p99c01 (5=0) (4=1) (3=2) (2=3) (1=4) (else=.), gen(Health_status)
recode p99c02 (min/-1=.) (11/max=.), gen(Health_satisfiaction)
recode p99c17 (min/-1=.) (11/max=.), gen(Health_depression)
gen Work_status = wstat99
gen Work_st = occupa99
recode p99w77   (min/-1=.) (100/max=.), gen(Work_hours) 
recode p99i01   (min/-1=.) (11/max=.), gen(Income_satisfaction) 
recode i99ptotn (min/-1=.) (2400001/max=.), gen(Income_net)
* network. 
recode p99n10 (min/-1=.) (100/max=.), gen(N_rel_nr)
gen N_rel_freq = p99n13
recode p99n14 (min/-1=.) (11/max=.), gen(N_rel_PSup) 
recode p99n15 (min/-1=.) (11/max=.), gen(N_rel_ESup)
recode p99n17 (min/-1=.) (100/max=.), gen(N_nb_nr) 
gen N_nb_freq = p99n20
recode p99n21 (min/-1=.) (11/max=.), gen(N_nb_PSup) 
recode p99n22 (min/-1=.) (11/max=.), gen(N_nb_ESup) 
recode p99n24 (min/-1=.) (100/max=.), gen(N_fr_nr) 
gen N_fr_freq = p99n27
recode p99n28 (min/-1=.) (11/max=.), gen(N_fr_PSup)
recode p99n29 (min/-1=.) (11/max=.), gen(N_fr_ESup) 
recode p99n31 (min/-1=.) (100/max=.), gen(N_co_nr) 
recode p99n32 (min/-1=.) (11/max=.), gen(N_co_PSup) 
recode p99n33 (min/-1=.) (11/max=.), gen(N_co_ESup)
* save. 
sort idpers 
keep  ID ID_H sam jaar DateInterview  ID_Spouse Typ_member Birth Sex Age edu Married Marital MarChangeMonth MarChangeYear ///
Partner P_year P_PSupport P_ESupport C_nr_outsideH C_Age_OH1 C_Age_OH2 C_Age_OH3 C_Age_OH4 C_Age_OH5 C_Age_OH6 C_Age_OH7  ///
Health_Disability Health_status Health_satisfiaction Health_depression Work_status Work_st  /// 
Work_hours Income_satisfaction Income_net N_rel_nr N_rel_freq N_rel_PSup N_rel_ESup N_nb_nr N_nb_freq  ///
N_nb_PSup N_nb_ESup N_fr_nr N_fr_freq N_fr_PSup N_fr_ESup N_co_nr N_co_PSup N_co_ESup  
save "SHP person waves constructed\SHP_P1.dta", replace


*********************************************** wave 2. 
use "SHP-Data-W1-W16-STATA\W2_2000\shp00_p_user.dta", clear // DOWNLOAD THESE FILES FROM THE OFFICIAL WEBSITE 
* only individual questionaires selected and general data
keep if status00 == 0
gen sam = 2
gen jaar = 2000
gen Birth = 2000 - age00 if age00>14 & age00<100
gen double ID = idpers
gen double ID_H = idhous00
gen ID_Spouse = idspou00
gen Typ_member = relarp00
rename pdate00 DateInterview
recode sex00 (1=1) (2=0) (else =.), gen(Sex) 
recode age00 (min/-1=.) (101/max=.), gen(Age) 
recode isced00 (0 = 0)(10=1) (20=2) (31=3) (32=3) (33=3) (41=4) (51=5) (52=5) (60=6) (else=.), gen(edu)
* Partner info. 
recode cohast00 (2=0) (1=1) (else= .), gen(Married)
recode civsta00 (1=0) (2=1) (3=2) (4=3) (5=4) (else= .), gen(Marital) 
gen MarChangeMonth = p00d17m
gen MarChangeYear = p00d17
recode p00d29 (3=0) (2=1) (1=2) (else=.), gen(Partner)
gen P_year = p00d31
recode p00n04 (min/-1=.) (11/max=.), gen(P_PSupport)
recode p00n05 (min/-1=.) (11/max=.), gen(P_ESupport)
* child info. 
gen     C_nr_outsideH = p00d36
recode p00d40 (-9/-1=.), gen(C_Age_OH1)
recode p00d45 (-9/-1=.), gen(C_Age_OH2)
recode p00d50 (-9/-1=.), gen(C_Age_OH3)
recode p00d55 (-9/-1=.), gen(C_Age_OH4)
recode p00d60 (-9/-1=.), gen(C_Age_OH5)
recode p00d65 (-9/-1=.), gen(C_Age_OH6)
recode p00d70 (-9/-1=.), gen(C_Age_OH7)
* other. 
gen Health_Disability = p00c08 
recode p00c01 (5=0) (4=1) (3=2) (2=3) (1=4) (else=.), gen(Health_status)
recode p00c02 (min/-1=.) (11/max=.), gen(Health_satisfiaction)
recode p00c17 (min/-1=.) (11/max=.), gen(Health_depression)
gen Work_status = wstat00
gen Work_st = occupa00
recode p00w77   (min/-1=.) (100/max=.), gen(Work_hours) 
recode p00i01   (min/-1=.) (11/max=.), gen(Income_satisfaction) 
recode i00ptotn (min/-1=.) (2400001/max=.), gen(Income_net)
* network. 
recode p00n10 (min/-1=.) (100/max=.), gen(N_rel_nr)
gen N_rel_freq = p00n13
recode p00n14 (min/-1=.) (11/max=.), gen(N_rel_PSup) 
recode p00n15 (min/-1=.) (11/max=.), gen(N_rel_ESup)
recode p00n17 (min/-1=.) (100/max=.), gen(N_nb_nr) 
gen N_nb_freq = p00n20
recode p00n21 (min/-1=.) (11/max=.), gen(N_nb_PSup) 
recode p00n22 (min/-1=.) (11/max=.), gen(N_nb_ESup) 
recode p00n24 (min/-1=.) (100/max=.), gen(N_fr_nr) 
gen N_fr_freq = p00n27
recode p00n28 (min/-1=.) (11/max=.), gen(N_fr_PSup)
recode p00n29 (min/-1=.) (11/max=.), gen(N_fr_ESup) 
recode p00n31 (min/-1=.) (100/max=.), gen(N_co_nr) 
recode p00n32 (min/-1=.) (11/max=.), gen(N_co_PSup) 
recode p00n33 (min/-1=.) (11/max=.), gen(N_co_ESup)
* save. 
sort idpers 
keep  ID ID_H sam jaar DateInterview  ID_Spouse Typ_member Birth Sex Age edu Married Marital MarChangeMonth MarChangeYear ///
Partner P_year P_PSupport P_ESupport C_nr_outsideH C_Age_OH1 C_Age_OH2 C_Age_OH3 C_Age_OH4 C_Age_OH5 C_Age_OH6 C_Age_OH7  ///
Health_Disability Health_status Health_satisfiaction Health_depression Work_status Work_st  /// 
Work_hours Income_satisfaction Income_net N_rel_nr N_rel_freq N_rel_PSup N_rel_ESup N_nb_nr N_nb_freq  ///
N_nb_PSup N_nb_ESup N_fr_nr N_fr_freq N_fr_PSup N_fr_ESup N_co_nr N_co_PSup N_co_ESup  
save "SHP person waves constructed\SHP_P2.dta", replace


*********************************************** wave 3. 
use "SHP-Data-W1-W16-STATA\W3_2001\shp01_p_user.dta", clear // DOWNLOAD THESE FILES FROM THE OFFICIAL WEBSITE 
* only individual questionaires selected and general data
keep if status01 == 0
gen sam = 3
gen jaar = 2001
gen Birth = 2001 - age01 if age01>14 & age01<100
rename pdate01 DateInterview
gen double ID = idpers
gen double ID_H = idhous01
gen ID_Spouse = idspou01
gen Typ_member = relarp01
recode sex01 (1=1) (2=0) (else =.), gen(Sex) 
recode age01 (min/-1=.) (101/max=.), gen(Age) 
recode isced01 (0 = 0)(10=1) (20=2) (31=3) (32=3) (33=3) (41=4) (51=5) (52=5) (60=6) (else=.), gen(edu)
* Partner info. 
recode cohast01 (2=0) (1=1) (else= .), gen(Married)
recode civsta01 (1=0) (2=1) (3=2) (4=3) (5=4) (else= .), gen(Marital) 
gen MarChangeMonth = p01d17m
gen MarChangeYear = p01d17
recode p01d29 (3=0) (2=1) (1=2) (else=.), gen(Partner)
gen P_year = p01d31
recode p01n04 (min/-1=.) (11/max=.), gen(P_PSupport)
recode p01n05 (min/-1=.) (11/max=.), gen(P_ESupport)
* child info. 
gen     C_nr_outsideH = p01d36
recode p01d40 (-9/-1=.), gen(C_Age_OH1)
recode p01d45 (-9/-1=.), gen(C_Age_OH2)
recode p01d50 (-9/-1=.), gen(C_Age_OH3)
recode p01d55 (-9/-1=.), gen(C_Age_OH4)
recode p01d60 (-9/-1=.), gen(C_Age_OH5)
recode p01d65 (-9/-1=.), gen(C_Age_OH6)
recode p01d70 (-9/-1=.), gen(C_Age_OH7)
* other. 
gen Health_Disability = p01c08 
recode p01c01 (5=0) (4=1) (3=2) (2=3) (1=4) (else=.), gen(Health_status)
recode p01c02 (min/-1=.) (11/max=.), gen(Health_satisfiaction)
recode p01c17 (min/-1=.) (11/max=.), gen(Health_depression)
gen Work_status = wstat01
gen Work_st = occupa01
recode p01w77   (min/-1=.) (100/max=.), gen(Work_hours) 
recode p01i01   (min/-1=.) (11/max=.), gen(Income_satisfaction) 
recode i01ptotn (min/-1=.) (2400001/max=.), gen(Income_net)
* network. 
recode p01n10 (min/-1=.) (100/max=.), gen(N_rel_nr)
gen N_rel_freq = p01n13
recode p01n14 (min/-1=.) (11/max=.), gen(N_rel_PSup) 
recode p01n15 (min/-1=.) (11/max=.), gen(N_rel_ESup)
recode p01n17 (min/-1=.) (100/max=.), gen(N_nb_nr) 
gen N_nb_freq = p01n20
recode p01n21 (min/-1=.) (11/max=.), gen(N_nb_PSup) 
recode p01n22 (min/-1=.) (11/max=.), gen(N_nb_ESup) 
recode p01n24 (min/-1=.) (100/max=.), gen(N_fr_nr) 
gen N_fr_freq = p01n27
recode p01n28 (min/-1=.) (11/max=.), gen(N_fr_PSup)
recode p01n29 (min/-1=.) (11/max=.), gen(N_fr_ESup) 
recode p01n31 (min/-1=.) (100/max=.), gen(N_co_nr) 
recode p01n32 (min/-1=.) (11/max=.), gen(N_co_PSup) 
recode p01n33 (min/-1=.) (11/max=.), gen(N_co_ESup)
* save. 
sort idpers 
keep  ID ID_H sam jaar DateInterview  ID_Spouse Typ_member Birth Sex Age edu Married Marital MarChangeMonth MarChangeYear ///
Partner P_year P_PSupport P_ESupport C_nr_outsideH C_Age_OH1 C_Age_OH2 C_Age_OH3 C_Age_OH4 C_Age_OH5 C_Age_OH6 C_Age_OH7  ///
Health_Disability Health_status Health_satisfiaction Health_depression Work_status Work_st  /// 
Work_hours Income_satisfaction Income_net N_rel_nr N_rel_freq N_rel_PSup N_rel_ESup N_nb_nr N_nb_freq  ///
N_nb_PSup N_nb_ESup N_fr_nr N_fr_freq N_fr_PSup N_fr_ESup N_co_nr N_co_PSup N_co_ESup  
save "SHP person waves constructed\SHP_P3.dta", replace


*********************************************** wave 4. 
use "SHP-Data-W1-W16-STATA\W4_2002\shp02_p_user.dta", clear // DOWNLOAD THESE FILES FROM THE OFFICIAL WEBSITE 
* only individual questionaires selected and general data
keep if status02 == 0
gen sam = 4
gen Birth = 2002 - age02 if age02>14 & age02<100
gen jaar = 2002
rename pdate02 DateInterview
gen double ID = idpers
gen double ID_H = idhous02
gen ID_Spouse = idspou02
gen Typ_member = relarp02
recode sex02 (1=1) (2=0) (else =.), gen(Sex) 
recode age02 (min/-1=.) (101/max=.), gen(Age) 
recode isced02 (0 = 0)(10=1) (20=2) (31=3) (32=3) (33=3) (41=4) (51=5) (52=5) (60=6) (else=.), gen(edu)
* Partner info. 
recode cohast02 (2=0) (1=1) (else= .), gen(Married)
recode civsta02 (1=0) (2=1) (3=2) (4=3) (5=4) (else= .), gen(Marital) 
gen MarChangeMonth = p02d17m
gen MarChangeYear = p02d17
recode p02d29 (3=0) (2=1) (1=2) (else=.), gen(Partner)
gen P_year = p02d31
recode p02n04 (min/-1=.) (11/max=.), gen(P_PSupport)
recode p02n05 (min/-1=.) (11/max=.), gen(P_ESupport)
* child info. 
gen     C_nr_outsideH = p02d36
recode p02d40 (-9/-1=.), gen(C_Age_OH1)
recode p02d45 (-9/-1=.), gen(C_Age_OH2)
recode p02d50 (-9/-1=.), gen(C_Age_OH3)
recode p02d55 (-9/-1=.), gen(C_Age_OH4)
recode p02d60 (-9/-1=.), gen(C_Age_OH5)
recode p02d65 (-9/-1=.), gen(C_Age_OH6)
recode p02d70 (-9/-1=.), gen(C_Age_OH7)	
* other. 
gen Health_Disability = p02c08 
recode p02c01 (5=0) (4=1) (3=2) (2=3) (1=4) (else=.), gen(Health_status)
recode p02c02 (min/-1=.) (11/max=.), gen(Health_satisfiaction)
recode p02c17 (min/-1=.) (11/max=.), gen(Health_depression)
gen Work_status = wstat02
gen Work_st = occupa02
recode p02w77   (min/-1=.) (100/max=.), gen(Work_hours) 
recode p02i01   (min/-1=.) (11/max=.), gen(Income_satisfaction) 
recode i02ptotn (min/-1=.) (2400001/max=.), gen(Income_net)
* network. 
recode p02n10 (min/-1=.) (100/max=.), gen(N_rel_nr)
gen N_rel_freq = p02n13
recode p02n14 (min/-1=.) (11/max=.), gen(N_rel_PSup) 
recode p02n15 (min/-1=.) (11/max=.), gen(N_rel_ESup)
recode p02n17 (min/-1=.) (100/max=.), gen(N_nb_nr) 
gen N_nb_freq = p02n20
recode p02n21 (min/-1=.) (11/max=.), gen(N_nb_PSup) 
recode p02n22 (min/-1=.) (11/max=.), gen(N_nb_ESup) 
recode p02n24 (min/-1=.) (100/max=.), gen(N_fr_nr) 
gen N_fr_freq = p02n27
recode p02n28 (min/-1=.) (11/max=.), gen(N_fr_PSup)
recode p02n29 (min/-1=.) (11/max=.), gen(N_fr_ESup) 
recode p02n31 (min/-1=.) (100/max=.), gen(N_co_nr) 
recode p02n32 (min/-1=.) (11/max=.), gen(N_co_PSup) 
recode p02n33 (min/-1=.) (11/max=.), gen(N_co_ESup)
* save. 
sort idpers 
keep  ID ID_H sam jaar DateInterview  ID_Spouse Typ_member Birth Sex Age edu Married Marital MarChangeMonth MarChangeYear ///
Partner P_year P_PSupport P_ESupport C_nr_outsideH C_Age_OH1 C_Age_OH2 C_Age_OH3 C_Age_OH4 C_Age_OH5 C_Age_OH6 C_Age_OH7  ///
Health_Disability Health_status Health_satisfiaction Health_depression Work_status Work_st  /// 
Work_hours Income_satisfaction Income_net N_rel_nr N_rel_freq N_rel_PSup N_rel_ESup N_nb_nr N_nb_freq  ///
N_nb_PSup N_nb_ESup N_fr_nr N_fr_freq N_fr_PSup N_fr_ESup N_co_nr N_co_PSup N_co_ESup  
save "SHP person waves constructed\SHP_P4.dta", replace


*********************************************** wave 5. 
use "SHP-Data-W1-W16-STATA\W5_2003\shp03_p_user.dta", clear // DOWNLOAD THESE FILES FROM THE OFFICIAL WEBSITE 
* only individual questionaires selected and general data
keep if status03 == 0
gen sam = 5
gen Birth = 2003 - age03 if age03>14 & age03<100
gen jaar = 2003
rename pdate03 DateInterview
gen double ID = idpers
gen double ID_H = idhous03
gen ID_Spouse = idspou03
gen Typ_member = relarp03
recode sex03 (1=1) (2=0) (else =.), gen(Sex) 
recode age03 (min/-1=.) (101/max=.), gen(Age) 
recode isced03 (0 = 0)(10=1) (20=2) (31=3) (32=3) (33=3) (41=4) (51=5) (52=5) (60=6) (else=.), gen(edu)
* Partner info. 
recode cohast03 (2=0) (1=1) (else= .), gen(Married)
recode civsta03 (1=0) (2=1) (3=2) (4=3) (5=4) (else= .), gen(Marital) 
gen MarChangeMonth = p03d17m
gen MarChangeYear = p03d17
recode p03d29 (3=0) (2=1) (1=2) (else=.), gen(Partner)
gen P_year = p03d31
recode p03n04 (min/-1=.) (11/max=.), gen(P_PSupport)
recode p03n05 (min/-1=.) (11/max=.), gen(P_ESupport)
* child info. 
gen     C_nr_outsideH = p03d36
recode p03d40 (-9/-1=.), gen(C_Age_OH1)
recode p03d45 (-9/-1=.), gen(C_Age_OH2)
recode p03d50 (-9/-1=.), gen(C_Age_OH3)
recode p03d55 (-9/-1=.), gen(C_Age_OH4)
recode p03d60 (-9/-1=.), gen(C_Age_OH5)
recode p03d65 (-9/-1=.), gen(C_Age_OH6)
recode p03d70 (-9/-1=.), gen(C_Age_OH7)
* other. 
gen Health_Disability = p03c08 
recode p03c01 (5=0) (4=1) (3=2) (2=3) (1=4) (else=.), gen(Health_status)
recode p03c02 (min/-1=.) (11/max=.), gen(Health_satisfiaction)
recode p03c17 (min/-1=.) (11/max=.), gen(Health_depression)
gen Work_status = wstat03
gen Work_st = occupa03
recode p03w77   (min/-1=.) (100/max=.), gen(Work_hours) 
recode p03i01   (min/-1=.) (11/max=.), gen(Income_satisfaction) 
recode i03ptotn (min/-1=.) (2400001/max=.), gen(Income_net)
* network. 
recode p03n10 (min/-1=.) (100/max=.), gen(N_rel_nr)
gen N_rel_freq = p03n13
recode p03n14 (min/-1=.) (11/max=.), gen(N_rel_PSup) 
recode p03n15 (min/-1=.) (11/max=.), gen(N_rel_ESup)
recode p03n17 (min/-1=.) (100/max=.), gen(N_nb_nr) 
gen N_nb_freq = p03n20
recode p03n21 (min/-1=.) (11/max=.), gen(N_nb_PSup) 
recode p03n22 (min/-1=.) (11/max=.), gen(N_nb_ESup) 
recode p03n24 (min/-1=.) (100/max=.), gen(N_fr_nr) 
gen N_fr_freq = p03n27
recode p03n28 (min/-1=.) (11/max=.), gen(N_fr_PSup)
recode p03n29 (min/-1=.) (11/max=.), gen(N_fr_ESup) 
recode p03n31 (min/-1=.) (100/max=.), gen(N_co_nr) 
recode p03n32 (min/-1=.) (11/max=.), gen(N_co_PSup) 
recode p03n33 (min/-1=.) (11/max=.), gen(N_co_ESup)
* save. 
sort idpers 
keep  ID ID_H sam jaar DateInterview  ID_Spouse Typ_member Birth Sex Age edu Married Marital MarChangeMonth MarChangeYear ///
Partner P_year P_PSupport P_ESupport C_nr_outsideH C_Age_OH1 C_Age_OH2 C_Age_OH3 C_Age_OH4 C_Age_OH5 C_Age_OH6 C_Age_OH7  ///
Health_Disability Health_status Health_satisfiaction Health_depression Work_status Work_st  /// 
Work_hours Income_satisfaction Income_net N_rel_nr N_rel_freq N_rel_PSup N_rel_ESup N_nb_nr N_nb_freq  ///
N_nb_PSup N_nb_ESup N_fr_nr N_fr_freq N_fr_PSup N_fr_ESup N_co_nr N_co_PSup N_co_ESup  
save "SHP person waves constructed\SHP_P5.dta", replace


*********************************************** wave 6. 
use "SHP-Data-W1-W16-STATA\W6_2004\shp04_p_user.dta", clear // DOWNLOAD THESE FILES FROM THE OFFICIAL WEBSITE 
* only individual questionaires selected and general data
keep if status04 == 0
gen sam = 6
gen Birth = 2004 - age04 if age04>14 & age04<100
gen jaar = 2004
rename pdate04 DateInterview
gen double ID = idpers
gen double ID_H = idhous04
gen ID_Spouse = idspou04
gen Typ_member = relarp04
recode sex04 (1=1) (2=0) (else =.), gen(Sex) 
recode age04 (min/-1=.) (101/max=.), gen(Age) 
recode isced04 (0 = 0)(10=1) (20=2) (31=3) (32=3) (33=3) (41=4) (51=5) (52=5) (60=6) (else=.), gen(edu)
* Partner info. 
recode cohast04 (2=0) (1=1) (else= .), gen(Married)
recode civsta04 (1=0) (2=1) (3=2) (4=3) (5=4) (else= .), gen(Marital) 
gen MarChangeMonth = p04d17m
gen MarChangeYear = p04d17
recode p04d29 (3=0) (2=1) (1=2) (else=.), gen(Partner)
gen P_year = p04d31
recode p04n04 (min/-1=.) (11/max=.), gen(P_PSupport)
recode p04n05 (min/-1=.) (11/max=.), gen(P_ESupport)
* child info. 
gen     C_nr_outsideH = p04d110
recode p04d113 (-9/-1=.), gen(C_Age_OH1) 
recode p04d118 (-9/-1=.), gen(C_Age_OH2) 
recode p04d123 (-9/-1=.), gen(C_Age_OH3) 
recode p04d128 (-9/-1=.), gen(C_Age_OH4) 
recode p04d133 (-9/-1=.), gen(C_Age_OH5) 
recode p04d138 (-9/-1=.), gen(C_Age_OH6) 
recode p04d143 (-9/-1=.), gen(C_Age_OH7) 
* other. 
gen Health_Disability = p04c08 
recode p04c01 (5=0) (4=1) (3=2) (2=3) (1=4) (else=.), gen(Health_status)
recode p04c02 (min/-1=.) (11/max=.), gen(Health_satisfiaction)
recode p04c17 (min/-1=.) (11/max=.), gen(Health_depression)
gen Work_status = wstat04
gen Work_st = occupa04
recode p04w77   (min/-1=.) (100/max=.), gen(Work_hours) 
recode p04i01   (min/-1=.) (11/max=.), gen(Income_satisfaction) 
recode i04ptotn (min/-1=.) (2400001/max=.), gen(Income_net)
* network. 
recode p04n10 (min/-1=.) (100/max=.), gen(N_rel_nr)
gen N_rel_freq = p04n13
recode p04n14 (min/-1=.) (11/max=.), gen(N_rel_PSup) 
recode p04n15 (min/-1=.) (11/max=.), gen(N_rel_ESup)
recode p04n17 (min/-1=.) (100/max=.), gen(N_nb_nr) 
gen N_nb_freq = p04n20
recode p04n21 (min/-1=.) (11/max=.), gen(N_nb_PSup) 
recode p04n22 (min/-1=.) (11/max=.), gen(N_nb_ESup) 
recode p04n24 (min/-1=.) (100/max=.), gen(N_fr_nr) 
gen N_fr_freq = p04n27
recode p04n28 (min/-1=.) (11/max=.), gen(N_fr_PSup)
recode p04n29 (min/-1=.) (11/max=.), gen(N_fr_ESup) 
recode p04n31 (min/-1=.) (100/max=.), gen(N_co_nr) 
recode p04n32 (min/-1=.) (11/max=.), gen(N_co_PSup) 
recode p04n33 (min/-1=.) (11/max=.), gen(N_co_ESup)
* save. 
sort idpers 
keep  ID ID_H sam jaar DateInterview  ID_Spouse Typ_member Birth Sex Age edu Married Marital MarChangeMonth MarChangeYear ///
Partner P_year P_PSupport P_ESupport C_nr_outsideH C_Age_OH1 C_Age_OH2 C_Age_OH3 C_Age_OH4 C_Age_OH5 C_Age_OH6 C_Age_OH7  ///
Health_Disability Health_status Health_satisfiaction Health_depression Work_status Work_st  /// 
Work_hours Income_satisfaction Income_net N_rel_nr N_rel_freq N_rel_PSup N_rel_ESup N_nb_nr N_nb_freq  ///
N_nb_PSup N_nb_ESup N_fr_nr N_fr_freq N_fr_PSup N_fr_ESup N_co_nr N_co_PSup N_co_ESup  
save "SHP person waves constructed\SHP_P6.dta", replace


*********************************************** wave 7. 
use "SHP-Data-W1-W16-STATA\W7_2005\shp05_p_user.dta", clear // DOWNLOAD THESE FILES FROM THE OFFICIAL WEBSITE 
* only individual questionaires selected and general data
keep if status05 == 0
gen sam = 7
gen Birth = 2005 - age05 if age05>14 & age05<100
gen jaar = 2005
rename pdate05 DateInterview
gen double ID = idpers
gen double ID_H = idhous05
gen ID_Spouse = idspou05
gen Typ_member = relarp05
recode sex05 (1=1) (2=0) (else =.), gen(Sex) 
recode age05 (min/-1=.) (101/max=.), gen(Age) 
recode isced05 (0 = 0)(10=1) (20=2) (31=3) (32=3) (33=3) (41=4) (51=5) (52=5) (60=6) (else=.), gen(edu)
* Partner info. 
recode cohast05 (2=0) (1=1) (else= .), gen(Married)
recode civsta05 (1=0) (2=1) (3=2) (4=3) (5=4) (else= .), gen(Marital) 
gen MarChangeMonth = p05d17m
gen MarChangeYear = p05d17
recode p05d29 (3=0) (2=1) (1=2) (else=.), gen(Partner)
gen P_year = p05d31
recode p05n04 (min/-1=.) (11/max=.), gen(P_PSupport)
recode p05n05 (min/-1=.) (11/max=.), gen(P_ESupport)
* child info. 
gen     C_nr_outsideH = p05d110
recode p05d113 (-9/-1=.), gen(C_Age_OH1) 
recode p05d118 (-9/-1=.), gen(C_Age_OH2) 
recode p05d123 (-9/-1=.), gen(C_Age_OH3) 
recode p05d128 (-9/-1=.), gen(C_Age_OH4) 
recode p05d133 (-9/-1=.), gen(C_Age_OH5) 
recode p05d138 (-9/-1=.), gen(C_Age_OH6) 
recode p05d143 (-9/-1=.), gen(C_Age_OH7) 
* other. 
gen Health_Disability = p05c08 
recode p05c01 (5=0) (4=1) (3=2) (2=3) (1=4) (else=.), gen(Health_status)
recode p05c02 (min/-1=.) (11/max=.), gen(Health_satisfiaction)
recode p05c17 (min/-1=.) (11/max=.), gen(Health_depression)
gen Work_status = wstat05
gen Work_st = occupa05
recode p05w77   (min/-1=.) (100/max=.), gen(Work_hours) 
recode p05i01   (min/-1=.) (11/max=.), gen(Income_satisfaction) 
recode i05ptotn (min/-1=.) (2400001/max=.), gen(Income_net)
* network. 
recode p05n10 (min/-1=.) (100/max=.), gen(N_rel_nr)
gen N_rel_freq = p05n13
recode p05n14 (min/-1=.) (11/max=.), gen(N_rel_PSup) 
recode p05n15 (min/-1=.) (11/max=.), gen(N_rel_ESup)
recode p05n17 (min/-1=.) (100/max=.), gen(N_nb_nr) 
gen N_nb_freq = p05n20
recode p05n21 (min/-1=.) (11/max=.), gen(N_nb_PSup) 
recode p05n22 (min/-1=.) (11/max=.), gen(N_nb_ESup) 
recode p05n24 (min/-1=.) (100/max=.), gen(N_fr_nr) 
gen N_fr_freq = p05n27
recode p05n28 (min/-1=.) (11/max=.), gen(N_fr_PSup)
recode p05n29 (min/-1=.) (11/max=.), gen(N_fr_ESup) 
recode p05n31 (min/-1=.) (100/max=.), gen(N_co_nr) 
recode p05n32 (min/-1=.) (11/max=.), gen(N_co_PSup) 
recode p05n33 (min/-1=.) (11/max=.), gen(N_co_ESup)
* opslaan. 
sort idpers 
keep  ID ID_H sam jaar DateInterview  ID_Spouse Typ_member Birth Sex Age edu Married Marital MarChangeMonth MarChangeYear ///
Partner P_year P_PSupport P_ESupport C_nr_outsideH C_Age_OH1 C_Age_OH2 C_Age_OH3 C_Age_OH4 C_Age_OH5 C_Age_OH6 C_Age_OH7  ///
Health_Disability Health_status Health_satisfiaction Health_depression Work_status Work_st  /// 
Work_hours Income_satisfaction Income_net N_rel_nr N_rel_freq N_rel_PSup N_rel_ESup N_nb_nr N_nb_freq  ///
N_nb_PSup N_nb_ESup N_fr_nr N_fr_freq N_fr_PSup N_fr_ESup N_co_nr N_co_PSup N_co_ESup  
save "SHP person waves constructed\SHP_P7.dta", replace


*********************************************** wave 8. 
use "SHP-Data-W1-W16-STATA\W8_2006\shp06_p_user.dta", clear // DOWNLOAD THESE FILES FROM THE OFFICIAL WEBSITE 
* only individual questionaires selected and general data
keep if status06 == 0
gen sam = 8
gen Birth = 2006 - age06 if age06>14 & age06<100
gen jaar = 2006
rename pdate06 DateInterview
gen double ID = idpers
gen double ID_H = idhous06
gen ID_Spouse = idspou06
gen Typ_member = relarp06
recode sex06 (1=1) (2=0) (else =.), gen(Sex) 
recode age06 (min/-1=.) (101/max=.), gen(Age) 
recode isced06 (0 = 0)(10=1) (20=2) (31=3) (32=3) (33=3) (41=4) (51=5) (52=5) (60=6) (else=.), gen(edu)
* Partner info. 
recode cohast06 (2=0) (1=1) (else= .), gen(Married)
recode civsta06 (1=0) (2=1) (3=2) (4=3) (5=4) (else= .), gen(Marital) 
gen MarChangeMonth = p06d17m
gen MarChangeYear = p06d17
recode p06d29 (3=0) (2=1) (1=2) (else=.), gen(Partner)
gen P_year = p06d31
recode p06n04 (min/-1=.) (11/max=.), gen(P_PSupport)
recode p06n05 (min/-1=.) (11/max=.), gen(P_ESupport)
* child info. 
gen     C_nr_outsideH = p06d110
recode p06d113 (-9/-1=.), gen(C_Age_OH1) 
recode p06d118 (-9/-1=.), gen(C_Age_OH2) 
recode p06d123 (-9/-1=.), gen(C_Age_OH3) 
recode p06d128 (-9/-1=.), gen(C_Age_OH4) 
recode p06d133 (-9/-1=.), gen(C_Age_OH5) 
recode p06d138 (-9/-1=.), gen(C_Age_OH6) 
recode p06d143 (-9/-1=.), gen(C_Age_OH7) 
* other. 
gen Health_Disability = p06c08 
recode p06c01 (5=0) (4=1) (3=2) (2=3) (1=4) (else=.), gen(Health_status)
recode p06c02 (min/-1=.) (11/max=.), gen(Health_satisfiaction)
recode p06c17 (min/-1=.) (11/max=.), gen(Health_depression)
gen Work_status = wstat06
gen Work_st = occupa06
recode p06w77   (min/-1=.) (100/max=.), gen(Work_hours) 
recode p06i01   (min/-1=.) (11/max=.), gen(Income_satisfaction) 
recode i06ptotn (min/-1=.) (2400001/max=.), gen(Income_net)
* network. 
recode p06n10 (min/-1=.) (100/max=.), gen(N_rel_nr)
gen N_rel_freq = p06n13
recode p06n14 (min/-1=.) (11/max=.), gen(N_rel_PSup) 
recode p06n15 (min/-1=.) (11/max=.), gen(N_rel_ESup)
recode p06n17 (min/-1=.) (100/max=.), gen(N_nb_nr) 
gen N_nb_freq = p06n20
recode p06n21 (min/-1=.) (11/max=.), gen(N_nb_PSup) 
recode p06n22 (min/-1=.) (11/max=.), gen(N_nb_ESup) 
recode p06n24 (min/-1=.) (100/max=.), gen(N_fr_nr) 
gen N_fr_freq = p06n27
recode p06n28 (min/-1=.) (11/max=.), gen(N_fr_PSup)
recode p06n29 (min/-1=.) (11/max=.), gen(N_fr_ESup) 
recode p06n31 (min/-1=.) (100/max=.), gen(N_co_nr) 
recode p06n32 (min/-1=.) (11/max=.), gen(N_co_PSup) 
recode p06n33 (min/-1=.) (11/max=.), gen(N_co_ESup)
* save. 
sort idpers 
keep  ID ID_H sam jaar DateInterview  ID_Spouse Typ_member Birth Sex Age edu Married Marital MarChangeMonth MarChangeYear ///
Partner P_year P_PSupport P_ESupport C_nr_outsideH C_Age_OH1 C_Age_OH2 C_Age_OH3 C_Age_OH4 C_Age_OH5 C_Age_OH6 C_Age_OH7  ///
Health_Disability Health_status Health_satisfiaction Health_depression Work_status Work_st  /// 
Work_hours Income_satisfaction Income_net N_rel_nr N_rel_freq N_rel_PSup N_rel_ESup N_nb_nr N_nb_freq  ///
N_nb_PSup N_nb_ESup N_fr_nr N_fr_freq N_fr_PSup N_fr_ESup N_co_nr N_co_PSup N_co_ESup  
save "SHP person waves constructed\SHP_P8.dta", replace


*********************************************** wave 9. 
use "SHP-Data-W1-W16-STATA\W9_2007\shp07_p_user.dta", clear // DOWNLOAD THESE FILES FROM THE OFFICIAL WEBSITE 
* only individual questionaires selected and general data 
keep if status07 == 0
gen sam = 9
gen Birth = 2007 - age07 if age07>14 & age07<100
gen jaar = 2007
rename pdate07 DateInterview
gen double ID = idpers
gen double ID_H = idhous07
gen ID_Spouse = idspou07
gen Typ_member = relarp07
recode sex07 (1=1) (2=0) (else =.), gen(Sex) 
recode age07 (min/-1=.) (101/max=.), gen(Age) 
recode isced07 (0 = 0)(10=1) (20=2) (31=3) (32=3) (33=3) (41=4) (51=5) (52=5) (60=6) (else=.), gen(edu)
* Partner info. 
recode cohast07 (2=0) (1=1) (else= .), gen(Married)
recode civsta07 (1=0) (2=1) (3=2) (4=3) (5=4) (else= .), gen(Marital) 
gen MarChangeMonth = p07d17m
gen MarChangeYear = p07d17
recode p07d29 (3=0) (2=1) (1=2) (else=.), gen(Partner)
gen P_year = p07d31
recode p07n04 (min/-1=.) (11/max=.), gen(P_PSupport)
recode p07n05 (min/-1=.) (11/max=.), gen(P_ESupport)
* child info. 
gen     C_nr_outsideH = p07d110
recode p07d113 (-9/-1=.), gen(C_Age_OH1) 
recode p07d118 (-9/-1=.), gen(C_Age_OH2) 
recode p07d123 (-9/-1=.), gen(C_Age_OH3) 
recode p07d128 (-9/-1=.), gen(C_Age_OH4) 
recode p07d133 (-9/-1=.), gen(C_Age_OH5) 
recode p07d138 (-9/-1=.), gen(C_Age_OH6) 
recode p07d143 (-9/-1=.), gen(C_Age_OH7) 
* other. 
gen Health_Disability = p07c08 
recode p07c01 (5=0) (4=1) (3=2) (2=3) (1=4) (else=.), gen(Health_status)
recode p07c02 (min/-1=.) (11/max=.), gen(Health_satisfiaction)
recode p07c17 (min/-1=.) (11/max=.), gen(Health_depression)
gen Work_status = wstat07
gen Work_st = occupa07
recode p07w77   (min/-1=.) (100/max=.), gen(Work_hours) 
recode p07i01   (min/-1=.) (11/max=.), gen(Income_satisfaction) 
recode i07ptotn (min/-1=.) (2400001/max=.), gen(Income_net)
* network. 
recode p07n10 (min/-1=.) (100/max=.), gen(N_rel_nr)
gen N_rel_freq = p07n13
recode p07n14 (min/-1=.) (11/max=.), gen(N_rel_PSup) 
recode p07n15 (min/-1=.) (11/max=.), gen(N_rel_ESup)
recode p07n17 (min/-1=.) (100/max=.), gen(N_nb_nr) 
gen N_nb_freq = p07n20
recode p07n21 (min/-1=.) (11/max=.), gen(N_nb_PSup) 
recode p07n22 (min/-1=.) (11/max=.), gen(N_nb_ESup) 
recode p07n24 (min/-1=.) (100/max=.), gen(N_fr_nr) 
gen N_fr_freq = p07n27
recode p07n28 (min/-1=.) (11/max=.), gen(N_fr_PSup)
recode p07n29 (min/-1=.) (11/max=.), gen(N_fr_ESup) 
recode p07n31 (min/-1=.) (100/max=.), gen(N_co_nr) 
recode p07n32 (min/-1=.) (11/max=.), gen(N_co_PSup) 
recode p07n33 (min/-1=.) (11/max=.), gen(N_co_ESup)
* save. 
sort idpers 
keep  ID ID_H sam jaar DateInterview  ID_Spouse Typ_member Birth Sex Age edu Married Marital MarChangeMonth MarChangeYear ///
Partner P_year P_PSupport P_ESupport C_nr_outsideH C_Age_OH1 C_Age_OH2 C_Age_OH3 C_Age_OH4 C_Age_OH5 C_Age_OH6 C_Age_OH7  ///
Health_Disability Health_status Health_satisfiaction Health_depression Work_status Work_st  /// 
Work_hours Income_satisfaction Income_net N_rel_nr N_rel_freq N_rel_PSup N_rel_ESup N_nb_nr N_nb_freq  ///
N_nb_PSup N_nb_ESup N_fr_nr N_fr_freq N_fr_PSup N_fr_ESup N_co_nr N_co_PSup N_co_ESup  
save "SHP person waves constructed\SHP_P9.dta", replace


*********************************************** wave 10. 
use "SHP-Data-W1-W16-STATA\W10_2008\shp08_p_user.dta", clear // DOWNLOAD THESE FILES FROM THE OFFICIAL WEBSITE 
* only individual questionaires selected and general data
keep if status08 == 0
gen sam = 10
gen Birth = 2008 - age08 if age08>14 & age08<100
gen jaar = 2008
rename pdate08 DateInterview
gen double ID = idpers
gen double ID_H = idhous08
gen ID_Spouse = idspou08
gen Typ_member = relarp08
recode sex08 (1=1) (2=0) (else =.), gen(Sex) 
recode age08 (min/-1=.) (101/max=.), gen(Age) 
recode isced08 (0 = 0)(10=1) (20=2) (31=3) (32=3) (33=3) (41=4) (51=5) (52=5) (60=6) (else=.), gen(edu)
* Partner info. 
recode cohast08 (2=0) (1=1) (else= .), gen(Married)
recode civsta08 (1=0) (2=1) (3=2) (4=3) (5=4) (else= .), gen(Marital) 
gen MarChangeMonth = p08d17m
gen MarChangeYear = p08d17
recode p08d29 (3=0) (2=1) (1=2) (else=.), gen(Partner)
gen P_year = p08d31
recode p08n04 (min/-1=.) (11/max=.), gen(P_PSupport)
recode p08n05 (min/-1=.) (11/max=.), gen(P_ESupport)
* child info. 
gen     C_nr_outsideH = p08d110
recode p08d113 (-9/-1=.), gen(C_Age_OH1) 
recode p08d118 (-9/-1=.), gen(C_Age_OH2) 
recode p08d123 (-9/-1=.), gen(C_Age_OH3) 
recode p08d128 (-9/-1=.), gen(C_Age_OH4) 
recode p08d133 (-9/-1=.), gen(C_Age_OH5) 
recode p08d138 (-9/-1=.), gen(C_Age_OH6) 
recode p08d143 (-9/-1=.), gen(C_Age_OH7) 
* other. 
gen Health_Disability = p08c08 
recode p08c01 (5=0) (4=1) (3=2) (2=3) (1=4) (else=.), gen(Health_status)
recode p08c02 (min/-1=.) (11/max=.), gen(Health_satisfiaction)
recode p08c17 (min/-1=.) (11/max=.), gen(Health_depression)
gen Work_status = wstat08
gen Work_st = occupa08
recode p08w77   (min/-1=.) (100/max=.), gen(Work_hours) 
recode p08i01   (min/-1=.) (11/max=.), gen(Income_satisfaction) 
recode i08ptotn (min/-1=.) (2400001/max=.), gen(Income_net)
* network. 
recode p08n10 (min/-1=.) (100/max=.), gen(N_rel_nr)
gen N_rel_freq = p08n13
recode p08n14 (min/-1=.) (11/max=.), gen(N_rel_PSup) 
recode p08n15 (min/-1=.) (11/max=.), gen(N_rel_ESup)
recode p08n17 (min/-1=.) (100/max=.), gen(N_nb_nr) 
gen N_nb_freq = p08n20
recode p08n21 (min/-1=.) (11/max=.), gen(N_nb_PSup) 
recode p08n22 (min/-1=.) (11/max=.), gen(N_nb_ESup) 
recode p08n24 (min/-1=.) (100/max=.), gen(N_fr_nr) 
gen N_fr_freq = p08n27
recode p08n28 (min/-1=.) (11/max=.), gen(N_fr_PSup)
recode p08n29 (min/-1=.) (11/max=.), gen(N_fr_ESup) 
recode p08n31 (min/-1=.) (100/max=.), gen(N_co_nr) 
recode p08n32 (min/-1=.) (11/max=.), gen(N_co_PSup) 
recode p08n33 (min/-1=.) (11/max=.), gen(N_co_ESup)
* save. 
sort idpers 
keep  ID ID_H sam jaar DateInterview  ID_Spouse Typ_member Birth Sex Age edu Married Marital MarChangeMonth MarChangeYear ///
Partner P_year P_PSupport P_ESupport C_nr_outsideH C_Age_OH1 C_Age_OH2 C_Age_OH3 C_Age_OH4 C_Age_OH5 C_Age_OH6 C_Age_OH7  ///
Health_Disability Health_status Health_satisfiaction Health_depression Work_status Work_st  /// 
Work_hours Income_satisfaction Income_net N_rel_nr N_rel_freq N_rel_PSup N_rel_ESup N_nb_nr N_nb_freq  ///
N_nb_PSup N_nb_ESup N_fr_nr N_fr_freq N_fr_PSup N_fr_ESup N_co_nr N_co_PSup N_co_ESup  
save "SHP person waves constructed\SHP_P10.dta", replace


*********************************************** wave 11. 
use "SHP-Data-W1-W16-STATA\W11_2009\shp09_p_user.dta", clear // DOWNLOAD THESE FILES FROM THE OFFICIAL WEBSITE 
* only individual questionaires selected and general data
keep if status09 == 0
gen sam = 11
gen Birth = 2009 - age09 if age09>14 & age09<100
gen jaar = 2009
rename pdate09 DateInterview
gen double ID = idpers
gen double ID_H = idhous09
gen ID_Spouse = idspou09
gen Typ_member = relarp09
recode sex09 (1=1) (2=0) (else =.), gen(Sex) 
recode age09 (min/-1=.) (101/max=.), gen(Age) 
recode isced09 (0 = 0)(10=1) (20=2) (31=3) (32=3) (33=3) (41=4) (51=5) (52=5) (60=6) (else=.), gen(edu)
* Partner info. 
recode cohast09 (2=0) (1=1) (else= .), gen(Married)
recode civsta09 (1=0) (2=1) (3=2) (4=3) (5=4) (else= .), gen(Marital) 
gen MarChangeMonth = p09d17m
gen MarChangeYear = p09d17
recode p09d29 (3=0) (2=1) (1=2) (else=.), gen(Partner)
gen P_year = p09d31
recode p09n04 (min/-1=.) (11/max=.), gen(P_PSupport)
recode p09n05 (min/-1=.) (11/max=.), gen(P_ESupport)
* child info. 
gen     C_nr_outsideH = p09d110
recode p09d113 (-9/-1=.), gen(C_Age_OH1) 
recode p09d118 (-9/-1=.), gen(C_Age_OH2) 
recode p09d123 (-9/-1=.), gen(C_Age_OH3) 
recode p09d128 (-9/-1=.), gen(C_Age_OH4) 
recode p09d133 (-9/-1=.), gen(C_Age_OH5) 
recode p09d138 (-9/-1=.), gen(C_Age_OH6) 
recode p09d143 (-9/-1=.), gen(C_Age_OH7) 
* other. 
gen Health_Disability = p09c08 
recode p09c01 (5=0) (4=1) (3=2) (2=3) (1=4) (else=.), gen(Health_status)
recode p09c02 (min/-1=.) (11/max=.), gen(Health_satisfiaction)
recode p09c17 (min/-1=.) (11/max=.), gen(Health_depression)
gen Work_status = wstat09
gen Work_st = occupa09
recode p09w77   (min/-1=.) (100/max=.), gen(Work_hours) 
recode p09i01   (min/-1=.) (11/max=.), gen(Income_satisfaction) 
recode i09ptotn (min/-1=.) (2400001/max=.), gen(Income_net)
* network. 
recode p09n10 (min/-1=.) (100/max=.), gen(N_rel_nr)
gen N_rel_freq = p09n13
recode p09n14 (min/-1=.) (11/max=.), gen(N_rel_PSup) 
recode p09n15 (min/-1=.) (11/max=.), gen(N_rel_ESup)
recode p09n17 (min/-1=.) (100/max=.), gen(N_nb_nr) 
gen N_nb_freq = p09n20
recode p09n21 (min/-1=.) (11/max=.), gen(N_nb_PSup) 
recode p09n22 (min/-1=.) (11/max=.), gen(N_nb_ESup) 
recode p09n24 (min/-1=.) (100/max=.), gen(N_fr_nr) 
gen N_fr_freq = p09n27
recode p09n28 (min/-1=.) (11/max=.), gen(N_fr_PSup)
recode p09n29 (min/-1=.) (11/max=.), gen(N_fr_ESup) 
recode p09n31 (min/-1=.) (100/max=.), gen(N_co_nr) 
recode p09n32 (min/-1=.) (11/max=.), gen(N_co_PSup) 
recode p09n33 (min/-1=.) (11/max=.), gen(N_co_ESup)
* save. 
sort idpers 
keep  ID ID_H sam jaar DateInterview  ID_Spouse Typ_member Birth Sex Age edu Married Marital MarChangeMonth MarChangeYear ///
Partner P_year P_PSupport P_ESupport C_nr_outsideH C_Age_OH1 C_Age_OH2 C_Age_OH3 C_Age_OH4 C_Age_OH5 C_Age_OH6 C_Age_OH7  ///
Health_Disability Health_status Health_satisfiaction Health_depression Work_status Work_st  /// 
Work_hours Income_satisfaction Income_net N_rel_nr N_rel_freq N_rel_PSup N_rel_ESup N_nb_nr N_nb_freq  ///
N_nb_PSup N_nb_ESup N_fr_nr N_fr_freq N_fr_PSup N_fr_ESup N_co_nr N_co_PSup N_co_ESup  
save "SHP person waves constructed\SHP_P11.dta", replace


*********************************************** wave 12. 
use "SHP-Data-W1-W16-STATA\W12_2010\shp10_p_user.dta", clear // DOWNLOAD THESE FILES FROM THE OFFICIAL WEBSITE 
* only individual questionaires selected and general data 
keep if status10 == 0
gen sam = 12
gen Birth = 2010 - age10 if age10>14 & age10<100
gen jaar = 2010
rename pdate10 DateInterview
gen double ID = idpers
gen double ID_H = idhous10
gen ID_Spouse = idspou10
gen Typ_member = relarp10
recode sex10 (1=1) (2=0) (else =.), gen(Sex) 
recode age10 (min/-1=.) (101/max=.), gen(Age) 
recode isced10 (0 = 0)(10=1) (20=2) (31=3) (32=3) (33=3) (41=4) (51=5) (52=5) (60=6) (else=.), gen(edu)
* Partner info. 
recode cohast10 (2=0) (1=1) (else= .), gen(Married)
recode civsta10 (1=0) (2=1) (3=2) (4=3) (5=4) (else= .), gen(Marital) 
gen MarChangeMonth = p10d17m
gen MarChangeYear = p10d17
recode p10d29 (3=0) (2=1) (1=2) (else=.), gen(Partner)
gen P_year = p10d31
recode p10n04 (min/-1=.) (11/max=.), gen(P_PSupport)
recode p10n05 (min/-1=.) (11/max=.), gen(P_ESupport)
* child info. 
gen     C_nr_outsideH = p10d110
recode p10d113 (-9/-1=.), gen(C_Age_OH1) 
recode p10d118 (-9/-1=.), gen(C_Age_OH2) 
recode p10d123 (-9/-1=.), gen(C_Age_OH3) 
recode p10d128 (-9/-1=.), gen(C_Age_OH4) 
recode p10d133 (-9/-1=.), gen(C_Age_OH5) 
recode p10d138 (-9/-1=.), gen(C_Age_OH6) 
recode p10d143 (-9/-1=.), gen(C_Age_OH7) 
* other. 
gen Health_Disability = p10c08 
recode p10c01 (5=0) (4=1) (3=2) (2=3) (1=4) (else=.), gen(Health_status)
recode p10c02 (min/-1=.) (11/max=.), gen(Health_satisfiaction)
recode p10c17 (min/-1=.) (11/max=.), gen(Health_depression)
gen Work_status = wstat10
gen Work_st = occupa10
recode p10w77   (min/-1=.) (100/max=.), gen(Work_hours) 
recode p10i01   (min/-1=.) (11/max=.), gen(Income_satisfaction) 
recode i10ptotn (min/-1=.) (2400001/max=.), gen(Income_net)
* network. 
recode p10n10 (min/-1=.) (100/max=.), gen(N_rel_nr)
gen N_rel_freq = p10n13
recode p10n14 (min/-1=.) (11/max=.), gen(N_rel_PSup) 
recode p10n15 (min/-1=.) (11/max=.), gen(N_rel_ESup)
recode p10n17 (min/-1=.) (100/max=.), gen(N_nb_nr) 
gen N_nb_freq = p10n20
recode p10n21 (min/-1=.) (11/max=.), gen(N_nb_PSup) 
recode p10n22 (min/-1=.) (11/max=.), gen(N_nb_ESup) 
recode p10n24 (min/-1=.) (100/max=.), gen(N_fr_nr) 
gen N_fr_freq = p10n27
recode p10n28 (min/-1=.) (11/max=.), gen(N_fr_PSup)
recode p10n29 (min/-1=.) (11/max=.), gen(N_fr_ESup) 
recode p10n31 (min/-1=.) (100/max=.), gen(N_co_nr) 
recode p10n32 (min/-1=.) (11/max=.), gen(N_co_PSup) 
recode p10n33 (min/-1=.) (11/max=.), gen(N_co_ESup)
* save. 
sort idpers 
keep  ID ID_H sam jaar DateInterview  ID_Spouse Typ_member Birth Sex Age edu Married Marital MarChangeMonth MarChangeYear ///
Partner P_year P_PSupport P_ESupport C_nr_outsideH C_Age_OH1 C_Age_OH2 C_Age_OH3 C_Age_OH4 C_Age_OH5 C_Age_OH6 C_Age_OH7  ///
Health_Disability Health_status Health_satisfiaction Health_depression Work_status Work_st  /// 
Work_hours Income_satisfaction Income_net N_rel_nr N_rel_freq N_rel_PSup N_rel_ESup N_nb_nr N_nb_freq  ///
N_nb_PSup N_nb_ESup N_fr_nr N_fr_freq N_fr_PSup N_fr_ESup N_co_nr N_co_PSup N_co_ESup  
save "SHP person waves constructed\SHP_P12.dta", replace


*********************************************** wave 13. no/other network questions
*********************************************** wave 14. no/other network questions
*********************************************** wave 15. * child info missing contact with relatives (differently asked) 
*********************************************** wave 16. no/other network questions 

*** merge
use "SHP person waves constructed\SHP_P1.dta", clear
append using "SHP person waves constructed\SHP_P2.dta"
append using "SHP person waves constructed\SHP_P3.dta"
append using "SHP person waves constructed\SHP_P4.dta"
append using "SHP person waves constructed\SHP_P5.dta"
append using "SHP person waves constructed\SHP_P6.dta"
append using "SHP person waves constructed\SHP_P7.dta"
append using "SHP person waves constructed\SHP_P8.dta"
append using "SHP person waves constructed\SHP_P9.dta"
append using "SHP person waves constructed\SHP_P10.dta"
append using "SHP person waves constructed\SHP_P11.dta"
append using "SHP person waves constructed\SHP_P12.dta"

sort ID_H jaar
save "SHP person waves constructed\SHP_P_long.dta", replace



