*********************************************** syntax 2: to select variables from the person files ***********************************************
cd "FILL IN WHERE TO FIND THE FILES"

*** wave 1 
use "SHP-Data-W1-W16-STATA\W1_1999\shp99_h_user", clear // DOWNLOAD THESE FILES FROM THE OFFICIAL WEBSITE 
gen jaar= 1999
gen double ID_H = idhous99
gen H_nr = nbpers99
gen nr_kids_T17 = nbkid99
gen nr_kids_T30 = aduk1_99
gen nr_kids_F30 = aduk2_99
gen C_age_oldest17 = aoldki99 
gen C_age_youngest17 = ayouki99
recode nbb_99 (2=0) (1=1) (else=.),gen( C_new)
gen moved_place_year = h99h03
gen moved_accomodation_year = h99h06
gen P_Financial_Sat = h99i30
gen P_Financial_Man = h99i51
recode  h99i24 (1=0) (2=1) (else=.), gen( P_dentist)
recode h99i31 (2=0) (1=1) (else=.), gen( P_bills)
gen ID_H_Wave= ID_H * 100 + 1
sort ID_H 
keep jaar ID_H H_nr nr_kids_T17 nr_kids_T30 nr_kids_F30 C_age_oldest17 C_age_youngest17 C_new moved_place_year ///
     moved_accomodation_year P_Financial_Sat P_Financial_Man P_dentist P_bills ID_H_Wave
save "SHP household waves constructed\SHP_H1.sav", replace

*** wave 2
use "SHP-Data-W1-W16-STATA\W2_2000\shp00_h_user", clear // DOWNLOAD THESE FILES FROM THE OFFICIAL WEBSITE 
gen jaar= 2000
gen double ID_H = idhous00
gen H_nr = nbpers00
gen nr_kids_T17 = nbkid00
gen nr_kids_T30 = aduk1_00
gen nr_kids_F30 = aduk2_00
gen C_age_oldest17 = aoldki00 
gen C_age_youngest17 = ayouki00
recode nbb_00 (2=0) (1=1) (else=.),gen( C_new)
gen moved_place_year = h00h03
gen moved_accomodation_year = h00h06
gen P_Financial_Sat = h00i30
gen P_Financial_Man = h00i51
recode  h00i24 (1=0) (2=1) (else=.), gen( P_dentist)
recode h00i31 (2=0) (1=1) (else=.), gen( P_bills)
gen ID_H_Wave= ID_H * 100 + 1
sort ID_H 
keep jaar ID_H H_nr nr_kids_T17 nr_kids_T30 nr_kids_F30 C_age_oldest17 C_age_youngest17 C_new moved_place_year ///
     moved_accomodation_year P_Financial_Sat P_Financial_Man P_dentist P_bills ID_H_Wave
save "SHP household waves constructed\SHP_H2.sav", replace

*** wave 3
use "SHP-Data-W1-W16-STATA\W3_2001\shp01_h_user", clear // DOWNLOAD THESE FILES FROM THE OFFICIAL WEBSITE 
gen jaar= 2001
gen double ID_H = idhous01
gen H_nr = nbpers01
gen nr_kids_T17 = nbkid01
gen nr_kids_T30 = aduk1_01
gen nr_kids_F30 = aduk2_01
gen C_age_oldest17 = aoldki01 
gen C_age_youngest17 = ayouki01
recode nbb_01 (2=0) (1=1) (else=.),gen( C_new)
gen moved_place_year = h01h03
gen moved_accomodation_year = h01h06
gen P_Financial_Sat = h01i30
gen P_Financial_Man = h01i51
recode  h01i24 (1=0) (2=1) (else=.), gen( P_dentist)
recode h01i31 (2=0) (1=1) (else=.), gen( P_bills)
gen ID_H_Wave= ID_H * 100 + 1
sort ID_H 
keep jaar ID_H H_nr nr_kids_T17 nr_kids_T30 nr_kids_F30 C_age_oldest17 C_age_youngest17 C_new moved_place_year ///
     moved_accomodation_year P_Financial_Sat P_Financial_Man P_dentist P_bills ID_H_Wave
save "SHP household waves constructed\SHP_H3.sav", replace

*** wave 4
use "SHP-Data-W1-W16-STATA\W4_2002\shp02_h_user", clear // DOWNLOAD THESE FILES FROM THE OFFICIAL WEBSITE 
gen jaar= 2002
gen double ID_H = idhous02
gen H_nr = nbpers02
gen nr_kids_T17 = nbkid02
gen nr_kids_T30 = aduk1_02
gen nr_kids_F30 = aduk2_02
gen C_age_oldest17 = aoldki02 
gen C_age_youngest17 = ayouki02
recode nbb_02 (2=0) (1=1) (else=.),gen( C_new)
gen moved_place_year = h02h03
gen moved_accomodation_year = h02h06
gen P_Financial_Sat = h02i30
gen P_Financial_Man = h02i51
recode  h02i24 (1=0) (2=1) (else=.), gen( P_dentist)
recode h02i31 (2=0) (1=1) (else=.), gen( P_bills)
gen ID_H_Wave= ID_H * 100 + 1
sort ID_H 
keep jaar ID_H H_nr nr_kids_T17 nr_kids_T30 nr_kids_F30 C_age_oldest17 C_age_youngest17 C_new moved_place_year ///
     moved_accomodation_year P_Financial_Sat P_Financial_Man P_dentist P_bills ID_H_Wave
save "SHP household waves constructed\SHP_H4.sav", replace

*** wave 5
use "SHP-Data-W1-W16-STATA\W5_2003\shp03_h_user", clear // DOWNLOAD THESE FILES FROM THE OFFICIAL WEBSITE 
gen jaar= 2003
gen double ID_H = idhous03
gen H_nr = nbpers03
gen nr_kids_T17 = nbkid03
gen nr_kids_T30 = aduk1_03
gen nr_kids_F30 = aduk2_03
gen C_age_oldest17 = aoldki03 
gen C_age_youngest17 = ayouki03
recode nbb_03 (2=0) (1=1) (else=.),gen( C_new)
gen moved_place_year = h03h03
gen moved_accomodation_year = h03h06
gen P_Financial_Sat = h03i30
gen P_Financial_Man = h03i51
recode  h03i24 (1=0) (2=1) (else=.), gen( P_dentist)
recode h03i31 (2=0) (1=1) (else=.), gen( P_bills)
gen ID_H_Wave= ID_H * 100 + 1
sort ID_H 
keep jaar ID_H H_nr nr_kids_T17 nr_kids_T30 nr_kids_F30 C_age_oldest17 C_age_youngest17 C_new moved_place_year ///
     moved_accomodation_year P_Financial_Sat P_Financial_Man P_dentist P_bills ID_H_Wave
save "SHP household waves constructed\SHP_H5.sav", replace

*** wave 6
use "SHP-Data-W1-W16-STATA\W6_2004\shp04_h_user", clear // DOWNLOAD THESE FILES FROM THE OFFICIAL WEBSITE 
gen jaar= 2004
gen double ID_H = idhous04
gen H_nr = nbpers04
gen nr_kids_T17 = nbkid04
gen nr_kids_T30 = aduk1_04
gen nr_kids_F30 = aduk2_04
gen C_age_oldest17 = aoldki04 
gen C_age_youngest17 = ayouki04
recode nbb_04 (2=0) (1=1) (else=.),gen( C_new)
gen moved_place_year = h04h03
gen moved_accomodation_year = h04h06
gen P_Financial_Sat = h04i30
gen P_Financial_Man = h04i51
recode  h04i24 (1=0) (2=1) (else=.), gen( P_dentist)
recode h04i31 (2=0) (1=1) (else=.), gen( P_bills)
gen ID_H_Wave= ID_H * 100 + 1
sort ID_H 
keep jaar ID_H H_nr nr_kids_T17 nr_kids_T30 nr_kids_F30 C_age_oldest17 C_age_youngest17 C_new moved_place_year ///
     moved_accomodation_year P_Financial_Sat P_Financial_Man P_dentist P_bills ID_H_Wave
save "SHP household waves constructed\SHP_H6.sav", replace

*** wave 7
use "SHP-Data-W1-W16-STATA\W7_2005\shp05_h_user", clear // DOWNLOAD THESE FILES FROM THE OFFICIAL WEBSITE 
gen jaar= 2005
gen double ID_H = idhous05
gen H_nr = nbpers05
gen nr_kids_T17 = nbkid05
gen nr_kids_T30 = aduk1_05
gen nr_kids_F30 = aduk2_05
gen C_age_oldest17 = aoldki05 
gen C_age_youngest17 = ayouki05
recode nbb_05 (2=0) (1=1) (else=.),gen( C_new)
gen moved_place_year = h05h03
gen moved_accomodation_year = h05h06
gen P_Financial_Sat = h05i30
gen P_Financial_Man = h05i51
recode  h05i24 (1=0) (2=1) (else=.), gen( P_dentist)
recode h05i31 (2=0) (1=1) (else=.), gen( P_bills)
gen ID_H_Wave= ID_H * 100 + 1
sort ID_H 
keep jaar ID_H H_nr nr_kids_T17 nr_kids_T30 nr_kids_F30 C_age_oldest17 C_age_youngest17 C_new moved_place_year ///
     moved_accomodation_year P_Financial_Sat P_Financial_Man P_dentist P_bills ID_H_Wave
save "SHP household waves constructed\SHP_H7.sav", replace

*** wave 8
use "SHP-Data-W1-W16-STATA\W8_2006\shp06_h_user", clear // DOWNLOAD THESE FILES FROM THE OFFICIAL WEBSITE 
gen jaar= 2006
gen double ID_H = idhous06
gen H_nr = nbpers06
gen nr_kids_T17 = nbkid06
gen nr_kids_T30 = aduk1_06
gen nr_kids_F30 = aduk2_06
gen C_age_oldest17 = aoldki06 
gen C_age_youngest17 = ayouki06
recode nbb_06 (2=0) (1=1) (else=.),gen( C_new)
gen moved_place_year = h06h03
gen moved_accomodation_year = h06h06
gen P_Financial_Sat = h06i30
gen P_Financial_Man = h06i51
recode  h06i24 (1=0) (2=1) (else=.), gen( P_dentist)
recode h06i31 (2=0) (1=1) (else=.), gen( P_bills)
gen ID_H_Wave= ID_H * 100 + 1
sort ID_H 
keep jaar ID_H H_nr nr_kids_T17 nr_kids_T30 nr_kids_F30 C_age_oldest17 C_age_youngest17 C_new moved_place_year ///
     moved_accomodation_year P_Financial_Sat P_Financial_Man P_dentist P_bills ID_H_Wave
save "SHP household waves constructed\SHP_H8.sav", replace

*** wave 9 
use "SHP-Data-W1-W16-STATA\W9_2007\shp07_h_user", clear // DOWNLOAD THESE FILES FROM THE OFFICIAL WEBSITE 
gen jaar= 2007
gen double ID_H = idhous07
gen H_nr = nbpers07
gen nr_kids_T17 = nbkid07
gen nr_kids_T30 = aduk1_07
gen nr_kids_F30 = aduk2_07
gen C_age_oldest17 = aoldki07 
gen C_age_youngest17 = ayouki07
recode nbb_07 (2=0) (1=1) (else=.),gen( C_new)
gen moved_place_year = h07h03
gen moved_accomodation_year = h07h06
gen P_Financial_Sat = h07i30
gen P_Financial_Man = h07i51
recode  h07i24 (1=0) (2=1) (else=.), gen( P_dentist)
recode h07i31 (2=0) (1=1) (else=.), gen( P_bills)
gen ID_H_Wave= ID_H * 100 + 1
sort ID_H 
keep jaar ID_H H_nr nr_kids_T17 nr_kids_T30 nr_kids_F30 C_age_oldest17 C_age_youngest17 C_new moved_place_year ///
     moved_accomodation_year P_Financial_Sat P_Financial_Man P_dentist P_bills ID_H_Wave
save "SHP household waves constructed\SHP_H9.sav", replace

*** wave 10
use "SHP-Data-W1-W16-STATA\W10_2008\shp08_h_user", clear // DOWNLOAD THESE FILES FROM THE OFFICIAL WEBSITE 
gen jaar= 2008
gen double ID_H = idhous08
gen H_nr = nbpers08
gen nr_kids_T17 = nbkid08
gen nr_kids_T30 = aduk1_08
gen nr_kids_F30 = aduk2_08
gen C_age_oldest17 = aoldki08 
gen C_age_youngest17 = ayouki08
recode nbb_08 (2=0) (1=1) (else=.),gen( C_new)
gen moved_place_year = h08h03
gen moved_accomodation_year = h08h06
gen P_Financial_Sat = h08i30
gen P_Financial_Man = h08i51
recode  h08i24 (1=0) (2=1) (else=.), gen( P_dentist)
recode h08i31 (2=0) (1=1) (else=.), gen( P_bills)
gen ID_H_Wave= ID_H * 100 + 1
sort ID_H 
keep jaar ID_H H_nr nr_kids_T17 nr_kids_T30 nr_kids_F30 C_age_oldest17 C_age_youngest17 C_new moved_place_year ///
     moved_accomodation_year P_Financial_Sat P_Financial_Man P_dentist P_bills ID_H_Wave
save "SHP household waves constructed\SHP_H10.sav", replace

*** wave 11
use "SHP-Data-W1-W16-STATA\W11_2009\shp09_h_user", clear // DOWNLOAD THESE FILES FROM THE OFFICIAL WEBSITE 
gen jaar= 2009
gen double ID_H = idhous09
gen H_nr = nbpers09
gen nr_kids_T17 = nbkid09
gen nr_kids_T30 = aduk1_09
gen nr_kids_F30 = aduk2_09
gen C_age_oldest17 = aoldki09 
gen C_age_youngest17 = ayouki09
recode nbb_09 (2=0) (1=1) (else=.),gen( C_new)
gen moved_place_year = h09h03
gen moved_accomodation_year = h09h06
gen P_Financial_Sat = h09i30
gen P_Financial_Man = h09i51
recode  h09i24 (1=0) (2=1) (else=.), gen( P_dentist)
recode h09i31 (2=0) (1=1) (else=.), gen( P_bills)
gen ID_H_Wave= ID_H * 100 + 1
sort ID_H 
keep jaar ID_H H_nr nr_kids_T17 nr_kids_T30 nr_kids_F30 C_age_oldest17 C_age_youngest17 C_new moved_place_year ///
     moved_accomodation_year P_Financial_Sat P_Financial_Man P_dentist P_bills ID_H_Wave
save "SHP household waves constructed\SHP_H11.sav", replace

*** wave 12
use "SHP-Data-W1-W16-STATA\W12_2010\shp10_h_user", clear // DOWNLOAD THESE FILES FROM THE OFFICIAL WEBSITE 
gen jaar= 2010
gen double ID_H = idhous10
gen H_nr = nbpers10
gen nr_kids_T17 = nbkid10
gen nr_kids_T30 = aduk1_10
gen nr_kids_F30 = aduk2_10
gen C_age_oldest17 = aoldki10 
gen C_age_youngest17 = ayouki10
recode nbb_10 (2=0) (1=1) (else=.),gen( C_new)
gen moved_place_year = h10h03
gen moved_accomodation_year = h10h06
gen P_Financial_Sat = h10i30
gen P_Financial_Man = h10i51
recode  h10i24 (1=0) (2=1) (else=.), gen( P_dentist)
recode h10i31 (2=0) (1=1) (else=.), gen( P_bills)
gen ID_H_Wave= ID_H * 100 + 1
sort ID_H 
keep jaar ID_H H_nr nr_kids_T17 nr_kids_T30 nr_kids_F30 C_age_oldest17 C_age_youngest17 C_new moved_place_year ///
     moved_accomodation_year P_Financial_Sat P_Financial_Man P_dentist P_bills ID_H_Wave
save "SHP household waves constructed\SHP_H12.sav", replace


**************************************** merge
use "SHP household waves constructed\SHP_H1.sav"
append using "SHP household waves constructed\SHP_H2.sav"
append using "SHP household waves constructed\SHP_H3.sav"
append using "SHP household waves constructed\SHP_H4.sav"
append using "SHP household waves constructed\SHP_H5.sav"
append using "SHP household waves constructed\SHP_H6.sav"
append using "SHP household waves constructed\SHP_H7.sav"
append using "SHP household waves constructed\SHP_H8.sav"
append using "SHP household waves constructed\SHP_H9.sav"
append using "SHP household waves constructed\SHP_H10.sav"
append using "SHP household waves constructed\SHP_H11.sav"
append using "SHP household waves constructed\SHP_H12.sav"

sort ID_H jaar
save "SHP household waves constructed\SHP_H_long.dta", replace


