*********************************************** syntax 4: merge the files ***********************************************
cd "FILL IN WHERE TO FIND THE FILES"
set more off , permanently 
set seed 01234 


********* merge 
********* merge  
********* merge 
use "SHP person waves constructed\SHP_P_long.dta", clear
merge ID_H jaar using "SHP household waves constructed\SHP_H_long.dta"
keep if _merge == 3 
drop _merge
sort ID
merge ID using "grid childrenM.dta"
keep if _merge == 3 | _merge ==1 
drop _merge
sort ID
merge ID using "grid childrenF.dta"
keep if _merge == 3 | _merge ==1 
drop _merge


********* start construct age childeren 
********* start construct age childeren 
********* start construct age childeren 
* note some respondents reported on their grandchildren or siblings: FORS -> also with respect to nr household members. 
* note household figures are about the household. 

*** from grid
gen Child1_BirthD = 1 if Child1_BirthY > 1900 & Child1_BirthY < 2100                          // construct birth day (1st month) to later constuct age
gen Child2_BirthD = 1 if Child2_BirthY > 1900 & Child2_BirthY < 2100
gen Child3_BirthD = 1 if Child3_BirthY > 1900 & Child3_BirthY < 2100
gen Child4_BirthD = 1 if Child4_BirthY > 1900 & Child4_BirthY < 2100
gen Child5_BirthD = 1 if Child5_BirthY > 1900 & Child5_BirthY < 2100
gen Child6_BirthD = 1 if Child6_BirthY > 1900 & Child6_BirthY < 2100
gen Child7_BirthD = 1 if Child7_BirthY > 1900 & Child7_BirthY < 2100
gen Child8_BirthD = 1 if Child8_BirthY > 1900 & Child8_BirthY < 2100
gen C1age = round( ((DateInterview - (mdy(Child1_BirthM, Child1_BirthD, Child1_BirthY)))/365.25) - .5)
gen C2age = round( ((DateInterview - (mdy(Child2_BirthM, Child2_BirthD, Child2_BirthY)))/365.25) - .5)
gen C3age = round( ((DateInterview - (mdy(Child3_BirthM, Child3_BirthD, Child3_BirthY)))/365.25) - .5)
gen C4age = round( ((DateInterview - (mdy(Child4_BirthM, Child4_BirthD, Child4_BirthY)))/365.25) - .5)
gen C5age = round( ((DateInterview - (mdy(Child5_BirthM, Child5_BirthD, Child5_BirthY)))/365.25) - .5)
gen C6age = round( ((DateInterview - (mdy(Child6_BirthM, Child6_BirthD, Child6_BirthY)))/365.25) - .5)
gen C7age = round( ((DateInterview - (mdy(Child7_BirthM, Child7_BirthD, Child7_BirthY)))/365.25) - .5)
gen C8age = round( ((DateInterview - (mdy(Child8_BirthM, Child8_BirthD, Child8_BirthY)))/365.25) - .5)
recode C1age (-30/-1=.)
recode C2age (-30/-1=.)
recode C3age (-30/-1=.)
recode C4age (-30/-1=.)
recode C5age (-30/-1=.)
recode C6age (-30/-1=.)
recode C7age (-30/-1=.)
recode C8age (-30/-1=.)
replace C1age = . if (Age - C1age < 16) | (Age - C1age > 55)                              // check: have to be older than 15 and younger than 55 to get a child
replace C2age = . if (Age - C2age < 16) | (Age - C2age > 55)
replace C3age = . if (Age - C3age < 16) | (Age - C3age > 55)
replace C4age = . if (Age - C4age < 16) | (Age - C4age > 55)
replace C5age = . if (Age - C5age < 16) | (Age - C5age > 55)
replace C6age = . if (Age - C6age < 16) | (Age - C6age > 55)
replace C7age = . if (Age - C7age < 16) | (Age - C7age > 55)
replace C8age = . if (Age - C8age < 16) | (Age - C8age > 55)

*** from persons
recode  C_age_oldest17   (-9/-1=.)
recode  C_age_youngest17 (-9/-1=.)
replace C_age_oldest17   = . if (Age - C_age_oldest17 < 16) | (Age - C_age_oldest17 > 55) // have to be older than 15 and younger than 55 to get a child
replace C_age_youngest17 = . if (Age - C_age_oldest17 < 16) | (Age - C_age_oldest17 > 55) 
gen     C1ageOH = jaar - C_Age_OH1                                                        // construct age from children outside household, from birthyear
gen     C2ageOH = jaar - C_Age_OH2
gen     C3ageOH = jaar - C_Age_OH3
gen     C4ageOH = jaar - C_Age_OH4
gen     C5ageOH = jaar - C_Age_OH5
gen     C6ageOH = jaar - C_Age_OH6
gen     C7ageOH = jaar - C_Age_OH7
replace C1ageOH = . if (Age - C1ageOH < 16) | (Age - C1ageOH > 55)                        // have to be older than 15 and younger than 55 to get a child
replace C2ageOH = . if (Age - C2ageOH < 16) | (Age - C2ageOH > 55)
replace C3ageOH = . if (Age - C3ageOH < 16) | (Age - C3ageOH > 55)
replace C4ageOH = . if (Age - C4ageOH < 16) | (Age - C4ageOH > 55)
replace C5ageOH = . if (Age - C5ageOH < 16) | (Age - C5ageOH > 55)
replace C6ageOH = . if (Age - C6ageOH < 16) | (Age - C6ageOH > 55)
replace C7ageOH = . if (Age - C7ageOH < 16) | (Age - C7ageOH > 55)


* from households 
* aduk1_i = nr_kids_T30 : Number of adult children in household: >=18 and < 30 years
* 6.2% has children till 30 (from 18) in the household, and not reported any other children above 17
* .8% has children from 30 in the household, and not reported any other children above 30
* what is the age of children till and above 30? At least 18 & 30; max 29 in case till 30; age - 28 (women); age - 31 (men))
* Note: Exact age no problem for the transitions of children, as we do not focus on children above 18. But influence on timing. 
* Below the age of children above 17 and from 30 is further corrected. 
gen ff1      = 0                                                                               // if not yet a child above 17 reported (otherwise not needed)
gen ff2      = 0
replace ff1  = 1 if (C1age > 17 & C1age < 80) | (C2age > 17 & C2age <80) | (C1ageOH > 17 & C1ageOH <80) | (C2ageOH > 17 & C2ageOH <80)
replace ff2  = 1 if (C1age > 30 & C1age < 80) | (C2age > 30 & C2age <80) | (C1ageOH > 30 & C1ageOH <80) | (C2ageOH > 30 & C2ageOH <80)
gen C9       = (Age - 28) + rnormal(0,2) if (Sex == 0 & Age > 33 & ff1 == 0 & nr_kids_T30 > 0) 
gen C10      = (Age - 28) + rnormal(0,2) if (Sex == 0 & Age > 45 & ff2 == 0 & nr_kids_F30 > 0)
replace C9   = (Age - 31) + rnormal(0,2) if (Sex == 1 & Age > 33 & ff1 == 0 & nr_kids_T30 > 0) 
replace C10  = (Age - 31) + rnormal(0,2) if (Sex == 1 & Age > 45 & ff2 == 0 & nr_kids_F30 > 0)
replace C9   = round(C9)
replace C10  = round(C10)
*tab1 C9
*sort C9
*browse ID jaar Age nr_kids_T30 C9 Typ_member
*tabl Typ_member
recode C9    (30/80=29) (-2/18=18) 
recode C10   (-2/30=30) 
drop ff1 
drop ff2

* from persons: oldest child outside household: only when first interview! -> therefore ajdust below

* age oldest child (for now)
egen Cage = rowmax(C1age C2age C3age C5age C6age C_age_oldest17 C_age_youngest17 C1ageOH C2ageOH C3ageOH C4ageOH C5ageOH C6ageOH C7ageOH C9 C10 ) 

* number children (for now) 
recode nr_kids_T17 (-999/0=0) (1=1) (2=2) (3=3) (4=4) (5=5) (6=6) (7=7) (8=8) (9=9), gen(KT17) 
recode nr_kids_T30 (-999/0=0) (1=1) (2=2) (3=3) (4=4) (5=5) (6=6) (7=7) (8=8) (9=9), gen(KT30) 
recode nr_kids_F30 (-999/0=0) (1=1) (2=2) (3=3) (4=4) (5=5) (6=6) (7=7) (8=8) (9=9), gen(KF30) 
recode C_nr_outsideH (-9/-1=0) (22=2), gen(COH)
replace KT17 = 0 if Age < 16
replace KT17 = 0 if Cage == . 
replace KT30 = 0 if Age < 33
replace KF30 = 0 if Age < 46
replace COH  = 0 if Age < 20
egen nr_kids = rowtotal(KT17 KT30 KF30 COH)
recode nr_kids (0=0) (1=1) (2=2) (3=3) (4/40=4) 
replace nr_kids =1 if (Cage >-1 & Cage <90) & (nr_kids == 0) /// is possible, if children recorded on the grid. Is below further corrected. 



********* reshape (to impute and correct child age)
********* reshape (to impute and correct child age)
********* reshape (to impute and correct child age)
drop    KT17 KT30 KF30 COH
sort    ID jaar
bys     ID: gen keer = _n
sort    ID jaar
reshape wide jaar keer DateInterview Birth ID_H ID_Spouse Typ_member Sex Age edu Married Marital MarChangeMonth MarChangeYear ///
        Partner P_year P_PSupport P_ESupport C_nr_outsideH C_Age_OH1 C_Age_OH2 C_Age_OH3 C_Age_OH4 C_Age_OH5 C_Age_OH6 C_Age_OH7 ///
		Health_Disability Health_status Health_satisfiaction Health_depression Work_status Work_st Work_hours ///
		Income_satisfaction Income_net N_rel_nr N_rel_freq N_rel_PSup N_rel_ESup N_nb_nr N_nb_freq N_nb_PSup N_nb_ESup N_fr_nr ///
		N_fr_freq N_fr_PSup N_fr_ESup N_co_nr N_co_PSup N_co_ESup H_nr nr_kids_T17 nr_kids_T30 nr_kids_F30 C_age_oldest17 ///
		C_age_youngest17 C_new moved_place_year moved_accomodation_year P_Financial_Sat P_Financial_Man P_dentist P_bills ID_H_Wave ///
		Child1_BirthM Child2_BirthM Child3_BirthM Child4_BirthM Child5_BirthM Child6_BirthM Child7_BirthM Child8_BirthM Child1_BirthY ///
		Child2_BirthY Child3_BirthY Child4_BirthY Child5_BirthY Child6_BirthY Child7_BirthY Child8_BirthY Child1_BirthD Child2_BirthD ///
		Child3_BirthD Child4_BirthD Child5_BirthD Child6_BirthD Child7_BirthD Child8_BirthD C1age C2age C3age C4age C5age C6age C7age ///
		C8age C9 C10 C1ageOH C2ageOH C3ageOH C4ageOH C5ageOH C6ageOH C7ageOH Cage nr_kids, i(ID) j(sam)

********* only selected if no gaps of more than 3 years. 
* 4 year difference 
replace jaar6 	 = . 	if jaar1 == 1999 & jaar2 ==. & jaar3 == . & jaar4 ==. & jaar5	 ==.
replace jaar7	 = . 	if jaar2 == 2000 & jaar3 ==. & jaar4 == . & jaar5 ==. & jaar6	 ==.
replace jaar8	 = . 	if jaar3 == 2001 & jaar4 ==. & jaar5 == . & jaar6 ==. & jaar7	 ==.
replace jaar9	 = . 	if jaar4 == 2002 & jaar5 ==. & jaar6 == . & jaar7 ==. & jaar8	 ==.
replace jaar10	 = . 	if jaar5 == 2003 & jaar6 ==. & jaar7 == . & jaar8 ==. & jaar9	 ==.
replace jaar11	 = . 	if jaar6 == 2004 & jaar7 ==. & jaar8 == . & jaar9 ==. & jaar10	 ==.
replace jaar12	 = . 	if jaar7 == 2005 & jaar8 ==. & jaar9 == . & jaar10 ==. & jaar11	 ==.
* 5 year difference
replace jaar7 	 = . 	if jaar1 == 1999 & jaar2 ==. & jaar3 == . & jaar4 ==. & jaar5 ==. & jaar6	 ==.
replace jaar8	 = . 	if jaar2 == 2000 & jaar3 ==. & jaar4 == . & jaar5 ==. & jaar6 ==. & jaar7	 ==.
replace jaar9	 = . 	if jaar3 == 2001 & jaar4 ==. & jaar5 == . & jaar6 ==. & jaar7 ==. & jaar8	 ==.
replace jaar10	 = . 	if jaar4 == 2002 & jaar5 ==. & jaar6 == . & jaar7 ==. & jaar8 ==. & jaar9	 ==.
replace jaar11	 = . 	if jaar5 == 2003 & jaar6 ==. & jaar7 == . & jaar8 ==. & jaar9 ==. & jaar10	 ==.
replace jaar12	 = . 	if jaar6 == 2004 & jaar7 ==. & jaar8 == . & jaar9 ==. & jaar10	 ==. & jaar11	 ==.
* 6 year difference
replace jaar8	 = . 	if jaar1 == 1999 & jaar2 ==. & jaar3 == . & jaar4 ==. & jaar5 ==. & jaar6 ==. & jaar7	 ==.
replace jaar9	 = . 	if jaar2 == 2000 & jaar3 ==. & jaar4 == . & jaar5 ==. & jaar6 ==. & jaar7 ==. & jaar8	 ==.
replace jaar10	 = . 	if jaar3 == 2001 & jaar4 ==. & jaar5 == . & jaar6 ==. & jaar7 ==. & jaar8 ==. & jaar9	 ==.
replace jaar11	 = . 	if jaar4 == 2002 & jaar5 ==. & jaar6 == . & jaar7 ==. & jaar8 ==. & jaar9 ==. & jaar10	 ==.
replace jaar12	 = . 	if jaar5 == 2003 & jaar6 ==. & jaar7 == . & jaar8 ==. & jaar9 ==. & jaar10	 ==. & jaar11	 ==.
* 7 year difference
replace jaar9	 = . 	if jaar1 == 1999 & jaar2 ==. & jaar3 == . & jaar4 ==. & jaar5 ==. & jaar6 ==. & jaar7 ==. & jaar8	 ==.
replace jaar10	 = . 	if jaar2 == 2000 & jaar3 ==. & jaar4 == . & jaar5 ==. & jaar6 ==. & jaar7 ==. & jaar8 ==. & jaar9	 ==.
replace jaar11	 = . 	if jaar3 == 2001 & jaar4 ==. & jaar5 == . & jaar6 ==. & jaar7 ==. & jaar8 ==. & jaar9 ==. & jaar10	 ==.
replace jaar12	 = . 	if jaar4 == 2002 & jaar5 ==. & jaar6 == . & jaar7 ==. & jaar8 ==. & jaar9 ==. & jaar10	 ==. & jaar11	 ==.
* 8 year difference
replace jaar10	 = . 	if jaar1 == 1999 & jaar2 ==. & jaar3 == . & jaar4 ==. & jaar5 ==. & jaar6 ==. & jaar7 ==. & jaar8  ==. & jaar9 ==.
replace jaar11	 = . 	if jaar2 == 2000 & jaar3 ==. & jaar4 == . & jaar5 ==. & jaar6 ==. & jaar7 ==. & jaar8 ==. & jaar9  ==. & jaar10	 ==.
replace jaar12	 = . 	if jaar3 == 2001 & jaar4 ==. & jaar5 == . & jaar6 ==. & jaar7 ==. & jaar8 ==. & jaar9 ==. & jaar10	==. & jaar11	 ==.
* 9 year difference
replace jaar11	 = . 	if jaar1 == 1999 & jaar2 ==. & jaar3 == . & jaar4 ==. & jaar5 ==. & jaar6 ==. & jaar7 ==. & jaar8 ==. & jaar9  ==. & jaar10 ==.
replace jaar12	 = . 	if jaar2 == 2000 & jaar3 ==. & jaar4 == . & jaar5 ==. & jaar6 ==. & jaar7 ==. & jaar8 ==. & jaar9 ==. & jaar10	==. & jaar11 ==.
* 10 year difference
replace jaar12	 = . 	if jaar1 == 1999 & jaar2 ==. & jaar3 == . & jaar4 ==. & jaar5 ==. & jaar6 ==. & jaar7 ==. & jaar8 ==. & jaar9 ==. & jaar10 ==. & jaar11	 ==.



********* child: impute 
* if child and year after missing or more than 2 year years older, or become younger, than child 1 year older
* assumption children become oldere, and first year info most reliable 
* -> has to be, given that this way earlier info can be used to impute children above 17; and to use first info about children outside household. 
replace	Cage2	 = Cage1 	 + 1 if	 Cage1 	!= . &	 (Cage2  - Cage1	 > 2 | Cage2  - Cage1	 < 0 | Cage2 == .)
replace	Cage3	 = Cage2	 + 1 if	 Cage2	!= . &	 (Cage3	 - Cage2	 > 2 | Cage2  - Cage1	 < 0 | Cage3 == .)
replace	Cage4	 = Cage3	 + 1 if	 Cage3	!= . &	 (Cage4	 - Cage3	 > 2 | Cage2  - Cage1	 < 0 | Cage4 == .)
replace	Cage5	 = Cage4	 + 1 if	 Cage4	!= . &	 (Cage5	 - Cage4	 > 2 | Cage2  - Cage1	 < 0 | Cage5 == .)
replace	Cage6	 = Cage5	 + 1 if	 Cage5	!= . &	 (Cage6	 - Cage5	 > 2 | Cage2  - Cage1	 < 0 | Cage6 == .)
replace	Cage7	 = Cage6	 + 1 if	 Cage6	!= . &	 (Cage7	 - Cage6	 > 2 | Cage2  - Cage1	 < 0 | Cage7 == .)
replace	Cage8	 = Cage7	 + 1 if	 Cage7	!= . &	 (Cage8	 - Cage7	 > 2 | Cage2  - Cage1	 < 0 | Cage8 == .)
replace	Cage9	 = Cage8	 + 1 if	 Cage8	!= . &	 (Cage9	 - Cage8	 > 2 | Cage2  - Cage1	 < 0 | Cage9 == .)
replace	Cage10	 = Cage9	 + 1 if	 Cage9	!= . &	 (Cage10 - Cage9	 > 2 | Cage2  - Cage1	 < 0 | Cage10 == .)
replace	Cage11	 = Cage10	 + 1 if	 Cage10	!= . &	 (Cage11 - Cage10	 > 2 | Cage2  - Cage1	 < 0 | Cage11 == .)
replace	Cage12	 = Cage11	 + 1 if	 Cage11	!= . &	 (Cage12 - Cage11	 > 2 | Cage2  - Cage1	 < 0 | Cage12 == .)
* if child >0, than the year before 1 year younger 
replace	Cage11	 =	Cage12 	-1	 if Cage11	 ==. & 	Cage12 	 >0 & 	Cage12 	 < 80
replace	Cage10	 =	Cage11	-1	 if Cage10	 ==. & 	Cage11	 >0 & 	Cage11	 < 80
replace	Cage9	 =	Cage10	-1	 if Cage9	 ==. & 	Cage10	 >0 & 	Cage10	 < 80
replace	Cage8	 =	Cage9	-1	 if Cage8	 ==. & 	Cage9	 >0 & 	Cage9	 < 80
replace	Cage7	 =	Cage8	-1	 if Cage7	 ==. & 	Cage8	 >0 & 	Cage8	 < 80
replace	Cage6	 =	Cage7	-1	 if Cage6	 ==. & 	Cage7	 >0 & 	Cage7	 < 80
replace	Cage5	 =	Cage6	-1	 if Cage5	 ==. & 	Cage6	 >0 & 	Cage6	 < 80
replace	Cage4	 =	Cage5	-1	 if Cage4	 ==. & 	Cage5	 >0 & 	Cage5	 < 80
replace	Cage3	 =	Cage4	-1	 if Cage3	 ==. & 	Cage4	 >0 & 	Cage4	 < 80
replace	Cage2	 =	Cage3	-1	 if Cage2	 ==. & 	Cage3	 >0 & 	Cage3	 < 80
replace	Cage1	 =	Cage2	-1	 if Cage1	 ==. & 	Cage2	 >0 & 	Cage2	 < 80

********* child second outside household impute (only needed for nr of children, exact age does not matter)
* if in Wi then 1 year older in Wi+1 
replace	C2ageOH2	 = C2ageOH1	 + 1 if	(C2ageOH1	> 0 & 	C2ageOH1	 <80)
replace	C2ageOH3	 = C2ageOH2	 + 1 if	(C2ageOH2	> 0 & 	C2ageOH2	 <80)
replace	C2ageOH4	 = C2ageOH3	 + 1 if	(C2ageOH3	> 0 & 	C2ageOH3	 <80)
replace	C2ageOH5	 = C2ageOH4	 + 1 if	(C2ageOH4	> 0 & 	C2ageOH4	 <80)
replace	C2ageOH6	 = C2ageOH5	 + 1 if	(C2ageOH5	> 0 & 	C2ageOH5	 <80)
replace	C2ageOH7	 = C2ageOH6	 + 1 if	(C2ageOH6	> 0 & 	C2ageOH6	 <80)
replace	C2ageOH8	 = C2ageOH7	 + 1 if	(C2ageOH7	> 0 & 	C2ageOH7	 <80)
replace	C2ageOH9	 = C2ageOH8	 + 1 if	(C2ageOH8	> 0 & 	C2ageOH8	 <80)
replace	C2ageOH10	 = C2ageOH9	 + 1 if	(C2ageOH9	> 0 & 	C2ageOH9	 <80)
replace	C2ageOH11	 = C2ageOH10 + 1 if	(C2ageOH10	> 0 & 	C2ageOH10	 <80)
replace	C2ageOH12	 = C2ageOH11 + 1 if	(C2ageOH11	> 0 & 	C2ageOH11	 <80)
* if in Wi then 1 year younger in Wi-1
replace	C2ageOH11	 =	C2ageOH12	 + 1 if	 (	C2ageOH12	> 0 & 	C2ageOH12	 <80)
replace	C2ageOH10	 =	C2ageOH11	 + 1 if	 (	C2ageOH11	> 0 & 	C2ageOH11	 <80)
replace	C2ageOH9	 =	C2ageOH10	 + 1 if	 (	C2ageOH10	> 0 & 	C2ageOH10	 <80)
replace	C2ageOH8	 =	C2ageOH9	 + 1 if	 (	C2ageOH9	> 0 & 	C2ageOH9	 <80)
replace	C2ageOH7	 =	C2ageOH8	 + 1 if	 (	C2ageOH8	> 0 & 	C2ageOH8	 <80)
replace	C2ageOH6	 =	C2ageOH7	 + 1 if	 (	C2ageOH7	> 0 & 	C2ageOH7	 <80)
replace	C2ageOH5	 =	C2ageOH6	 + 1 if	 (	C2ageOH6	> 0 & 	C2ageOH6	 <80)
replace	C2ageOH4	 =	C2ageOH5	 + 1 if	 (	C2ageOH5	> 0 & 	C2ageOH5	 <80)
replace	C2ageOH3	 =	C2ageOH4	 + 1 if	 (	C2ageOH4	> 0 & 	C2ageOH4	 <80)
replace	C2ageOH2	 =	C2ageOH3	 + 1 if	 (	C2ageOH3	> 0 & 	C2ageOH3	 <80)
replace	C2ageOH1	 =	C2ageOH2	 + 1 if	 (	C2ageOH2	> 0 & 	C2ageOH2	 <80)


******* timing
forval i = 1/12 {
 gen Timing`i' = Age`i' - Cage`i'
 } 
egen Timing = rmean(Timing1 Timing2 Timing3 Timing4 Timing5 Timing6 Timing7 Timing8 Timing9 Timing10 Timing11 Timing12)
replace Timing = round(Timing)
*foreach var of varlist Timing1-Timing12 { 
*       replace `var' = Timing 
*       }

********** edu as time constant variable. 
egen Edu = rmax(edu1 edu2 edu3 edu4 edu5 edu6 edu7 edu8 edu9 edu10 edu11 edu12)
*forval i = 1/12 {
* replace edu`i' = Edu
* } 

*** number of children
* can conflicate with Cage (children can be counted as living in and outside the household, e.g. by respondent and respondent who filled in household grid). 
* if Cage (b.v. via grid), then at least 1 child. 
replace	nr_kids1	 = 1	 if	(	Cage1	 > -1 ) & (		nr_kids1	 < 1	 | nr_kids1  ==. )
replace	nr_kids2	 = 1	 if	(	Cage2	 > -1 ) & (		nr_kids2	 < 1	 | nr_kids2	 ==. )
replace	nr_kids3	 = 1	 if	(	Cage3	 > -1 ) & (		nr_kids3	 < 1	 | nr_kids3	 ==. )
replace	nr_kids4	 = 1	 if	(	Cage4	 > -1 ) & (		nr_kids4	 < 1	 | nr_kids4	 ==. )
replace	nr_kids5	 = 1	 if	(	Cage5	 > -1 ) & (		nr_kids5	 < 1	 | nr_kids5	 ==. )
replace	nr_kids6	 = 1	 if	(	Cage6	 > -1 ) & (		nr_kids6	 < 1	 | nr_kids6	 ==. )
replace	nr_kids7	 = 1	 if	(	Cage7	 > -1 ) & (		nr_kids7	 < 1	 | nr_kids7	 ==. )
replace	nr_kids8	 = 1	 if	(	Cage8	 > -1 ) & (		nr_kids8	 < 1	 | nr_kids8	 ==. )
replace	nr_kids9	 = 1	 if	(	Cage9	 > -1 ) & (		nr_kids9	 < 1	 | nr_kids9	 ==. )
replace	nr_kids10	 = 1	 if	(	Cage10	 > -1 ) & (		nr_kids10	 < 1	 | nr_kids10 ==. )
replace	nr_kids11	 = 1	 if	(	Cage11	 > -1 ) & (		nr_kids11	 < 1	 | nr_kids11 ==. )
replace	nr_kids12	 = 1	 if	(	Cage12	 > -1 ) & (		nr_kids12	 < 1	 | nr_kids12 ==. )
* if no Cage,  then no child, even if one could have filled in 'children outside household'. In these instance there are conflicating answers of the respondent. 
replace	nr_kids1	 = 0	 if	Cage1	 == . 
replace	nr_kids2	 = 0	 if	Cage2	 == . 
replace	nr_kids3	 = 0	 if	Cage3	 == . 
replace	nr_kids4	 = 0	 if	Cage4	 == . 
replace	nr_kids5	 = 0	 if	Cage5	 == . 
replace	nr_kids6	 = 0	 if	Cage6	 == . 
replace	nr_kids7	 = 0	 if	Cage7	 == . 
replace	nr_kids8	 = 0	 if	Cage8	 == . 
replace	nr_kids9	 = 0	 if	Cage9	 == . 
replace	nr_kids10	 = 0	 if	Cage10	 == . 
replace	nr_kids11	 = 0	 if	Cage11	 == . 
replace	nr_kids12	 = 0	 if	Cage12	 == . 
* if age second child outside household > 0 (imputed), then at least 2 children. 
replace	nr_kids1	 =2	 if	 (nr_kids1	 < 0) & (	C2ageOH1	 > 0 & C2ageOH1  < 80)
replace	nr_kids2	 =2	 if	 (nr_kids2	 < 0) & (	C2ageOH2	 > 0 & C2ageOH2	 < 80)
replace	nr_kids3	 =2	 if	 (nr_kids3	 < 0) & (	C2ageOH3	 > 0 & C2ageOH3	 < 80)
replace	nr_kids4	 =2	 if	 (nr_kids4	 < 0) & (	C2ageOH4	 > 0 & C2ageOH4	 < 80)
replace	nr_kids5	 =2	 if	 (nr_kids5	 < 0) & (	C2ageOH5	 > 0 & C2ageOH5	 < 80)
replace	nr_kids6	 =2	 if	 (nr_kids6	 < 0) & (	C2ageOH6	 > 0 & C2ageOH6	 < 80)
replace	nr_kids7	 =2	 if	 (nr_kids7	 < 0) & (	C2ageOH7	 > 0 & C2ageOH7	 < 80)
replace	nr_kids8	 =2	 if	 (nr_kids8	 < 0) & (	C2ageOH8	 > 0 & C2ageOH8	 < 80)
replace	nr_kids9	 =2	 if	 (nr_kids9	 < 0) & (	C2ageOH9	 > 0 & C2ageOH9	 < 80)
replace	nr_kids10	 =2	 if	 (nr_kids10	 < 0) & (	C2ageOH10	 > 0 & C2ageOH10 < 80)
replace	nr_kids11	 =2	 if	 (nr_kids11	 < 0) & (	C2ageOH11	 > 0 & C2ageOH11 < 80)
replace	nr_kids12	 =2	 if	 (nr_kids12	 < 0) & (	C2ageOH12	 > 0 & C2ageOH12 < 80)
* One cannot get fewer children 
replace	nr_kids2	 =	nr_kids1	 if (	nr_kids1	 >  	nr_kids2	)
replace	nr_kids3	 =	nr_kids2	 if (	nr_kids2	 >  	nr_kids3	)
replace	nr_kids4	 =	nr_kids3	 if (	nr_kids3	 >  	nr_kids4	)
replace	nr_kids5	 =	nr_kids4	 if (	nr_kids4	 >  	nr_kids5	)
replace	nr_kids6	 =	nr_kids5	 if (	nr_kids5	 >  	nr_kids6	)
replace	nr_kids7	 =	nr_kids6	 if (	nr_kids6	 >  	nr_kids7	)
replace	nr_kids8	 =	nr_kids7	 if (	nr_kids7	 >  	nr_kids8	)
replace	nr_kids9	 =	nr_kids8	 if (	nr_kids8	 >  	nr_kids9	)
replace	nr_kids10	 =	nr_kids9	 if (	nr_kids9	 >  	nr_kids10	)
replace	nr_kids11	 =	nr_kids10	 if (	nr_kids10	 >  	nr_kids11	)
replace	nr_kids12	 =	nr_kids11	 if (	nr_kids11	 >  	nr_kids12	)
replace	nr_kids2	 =	nr_kids1	 if (	nr_kids2	 ==. 	)
replace	nr_kids3	 =	nr_kids2	 if (	nr_kids3	 ==. 	)
replace	nr_kids4	 =	nr_kids3	 if (	nr_kids4	 ==. 	)
replace	nr_kids5	 =	nr_kids4	 if (	nr_kids5	 ==. 	)
replace	nr_kids6	 =	nr_kids5	 if (	nr_kids6	 ==. 	)
replace	nr_kids7	 =	nr_kids6	 if (	nr_kids7	 ==. 	)
replace	nr_kids8	 =	nr_kids7	 if (	nr_kids8	 ==. 	)
replace	nr_kids9	 =	nr_kids8	 if (	nr_kids9	 ==. 	)
replace	nr_kids10	 =	nr_kids9	 if (	nr_kids10	 ==. 	)
replace	nr_kids11	 =	nr_kids10	 if (	nr_kids11	 ==. 	)
replace	nr_kids12	 =	nr_kids11	 if (	nr_kids12	 ==. 	)
 
 

 
********* reshape to long
********* reshape to long
********* reshape to long
reshape long 
keep if jaar != . 
save "ff9.dta", replace
use "ff9.dta", clear

*** create variables: dependent 
replace N_rel_freq = 0 if N_rel_nr == 0 
replace N_nb_freq  = 0 if N_nb_nr  == 0
replace N_fr_freq  = 0 if N_fr_nr  == 0
replace N_rel_PSup = 0 if N_rel_nr == 0 
replace N_nb_PSup  = 0 if N_nb_nr  == 0 
replace N_fr_PSup  = 0 if N_fr_nr  == 0 
replace N_co_PSup  = 0 if N_co_nr  == 0 
replace N_rel_ESup = 0 if N_rel_nr == 0
replace N_nb_ESup  = 0 if N_nb_nr  == 0 
replace N_fr_ESup  = 0 if N_fr_nr  == 0 
replace N_co_ESup  = 0 if N_co_nr  == 0 
recode  N_rel_nr   (-10/-1=.) (30/500=30)
recode  N_fr_nr    (-10/-1=.) (30/500=30)
recode  N_nb_nr    (-10/-1=.) (30/500=30)
recode  N_co_nr    (-10/-1=.) (30/500=30)
recode  N_rel_freq (-10/-1=.) (30/500=30)
recode  N_fr_freq  (-10/-1=.) (30/500=30)
recode  N_nb_freq  (-10/-1=.) (30/500=30)
egen	N_rel_sup  =  rmean(N_rel_PSup  N_rel_ESup	)
egen	N_fr_sup   =  rmean(N_fr_PSup	N_fr_ESup	)
egen	N_nb_sup   =  rmean(N_nb_PSup	N_nb_ESup	)
egen	N_co_sup   =  rmean(N_co_PSup	N_co_ESup	)
* standardize 
egen    ReNr = std(N_rel_nr)
egen    FrNr = std(N_fr_nr)
egen    NbNr = std(N_nb_nr)
egen    CoNr = std(N_co_nr)
egen    ReFr = std(N_rel_freq)
egen    FrFr = std(N_fr_freq)
egen    NbFr = std(N_nb_freq)
egen    ReSu = std(N_rel_sup)
egen    FrSu = std(N_fr_sup)
egen    NbSu = std(N_nb_sup)
egen    CoSu = std(N_co_sup)
* combine 
egen    Re   = rmean(ReNr ReFr ReSu)
egen    Fr   = rmean(FrNr FrFr FrSu)
egen    Nb   = rmean(NbNr NbFr NbSu)
egen    Co   = rmean(CoNr      CoSu)



*** create variables: independent: Timing Marital Health_depression edu
drop    edu
recode  Edu (0=0) (1=0) (2=1) (3=2) (4=3) (5=4) (6=5) (7=6), gen(edu) 
recode  Cage (0/4=1) (5/12=2) (13/18=3) (19/80=4) (else=0), gen(CageC)
recode  Work_st (1 2 3 5 6 = 0) (4=1) (11 7 10 = 2) (8 9 = 3) (else=.), gen(WorkStatus)
recode  P_Financial_Sat (-99/-1=.) (10=0) (9=1) (8=2) (7=3) (6=4) (5=5) (4=6) (3=7) (2=8) (1=9) (0=10)  
recode  P_Financial_Man (-99/-1=.) (10=0) (9=1) (8=2) (7=3) (6=4) (5=5) (4=6) (3=7) (2=8) (1=9) (0=10) 
egen    ZP_Financial_Sat = std(P_Financial_Sat)
egen    ZP_Financial_Man = std(P_Financial_Man) 
egen    ZP_dentist = std(P_dentist)
egen    ZP_bills = std(P_bills)
cor     ZP_Financial_Sat ZP_Financial_Man ZP_dentist ZP_bills
egen    poverty = rmean( ZP_Financial_Sat ZP_Financial_Man ZP_dentist ZP_bills)
gen     income = Income_net
gen     incomeLN= ln(Income_net) if Income_net>0  
replace incomeLN = 0 if Income_net==0 
recode  Health_Disability (-10/-1=.)
bys ID: egen educ = max(edu)
gen Time = sam-1

* Timing (t.o.v. edu and cohort)
recode Birth (1900/1940 = 0) (1941/1950=1) (1951/1960=2) (1961/1970=3) (1971/1980=4) (1980/2010=5), gen(BirthC)
gen ff2 = edu*10+BirthC
bys ff2: egen ff = mean(Timing)
*tabulate ff2, summarize(Timing) 
replace ff = 20.434783  if ff2 == 04
replace ff = 24.548023  if ff2 == 14
replace ff = 27.86385   if ff2 == 24
replace ff = 26.611111  if ff2 == 34
replace ff = 30.242063  if ff2 == 44
replace ff = 31.4       if ff2 == 54

label define CHILD   0 "no child" 1 "0-4" 2 "5-12" 3 "13-18" 4 "19+"
label values CageC CHILD  
sort ID jaar 

save "ff.dta", replace




