*********************************************** syntax 5: analyses ***********************************************
cd "FILL IN WHERE TO FIND THE FILES"

set more off , permanently 
sysdir set PLUS "FILL IN"
ssc install estout, replace
ssc install center, replace
ssc instal grc1leg, replace
set more off, permanently


**************** Table 1: describitive statistics 
**************** Table 1: describitive statistics 
**************** Table 1: describitive statistics 
use "ff.dta", clear
set more off, permanently
xtset ID jaar
keep if Birth > 1950 & Birth < 2000
keep if Re != . 
keep if Fr != . 
keep if Nb !=. 
keep if WorkStatus != . 
keep if Marital != .
keep if poverty != . 
keep if Health_Disability != . 
keep if Health_depression != . 
keep if edu != . 
keep if CageC != . 
keep if Timing != . 

bys Sex: summarize Re Fr Nb i.CageC c.Timing i.nr_kids i.WorkStatus  i.Marital poverty Health_Disability Health_depression c.edu 
bys Sex: summarize nr_kids
bys Sex: tab1 Timing
bys Sex: summarize Timing

recode CageC (0=1) (1=0) (2=0) (3=0) (4=0), gen(C0)
recode WorkStatus (0=1) (else=0), gen(WS)
recode Marital (0=1) (else=0), gen(MS)
bys Sex: summarize C0
bys Sex: summarize WS
bys Sex: summarize MS


**************** Table 2
**************** Table 2
**************** Table 2
* note on effect substracting main effect of quadratic effect: first term affected by center, quadratic term not. 
* For instance, by substracting 30, main effect becomes b1+60*b2, in which b1 is old main effect and b2 old quadratic effect. 
* 60 because quadratic effect everytime becomes 60 larger when substracted by 30.  
use "ff.dta", clear
keep if Birth > 1950

replace Timing = Timing - 27.98246  if Sex==0
replace Timing = Timing - 30.82428  if Sex==1
replace Timing = Timing / 10 
	  
tabulate nr_kids, generate(nr_kidsD) 
recode CageC (0=1) (1=0) (2=0) (3=0) (4=0), gen(C0)
recode CageC (0=0) (1=1) (2=0) (3=0) (4=0), gen(C1)
recode CageC (0=0) (1=0) (2=1) (3=0) (4=0), gen(C2)
recode CageC (0=0) (1=0) (2=0) (3=1) (4=0), gen(C3)
recode CageC (0=0) (1=0) (2=0) (3=0) (4=1), gen(C4)
gen	C1_Timing	 = C1 * Timing
gen	C2_Timing	 = C2 * Timing
gen	C3_Timing	 = C3 * Timing
gen	C4_Timing	 = C4 * Timing
gen	C1_Timing2	 = C1 * Timing * Timing
gen	C2_Timing2	 = C2 * Timing * Timing
gen	C3_Timing2	 = C3 * Timing * Timing
gen	C4_Timing2	 = C4 * Timing * Timing

set matsize 1000
local fix1 "i.Time##c.Edu i.WorkStatus i.Marital poverty Health_Disability Health_depression"
local fix2 "C1 C2 C3 C4 nr_kidsD3 nr_kidsD4 nr_kidsD5 C1_Timing C2_Timing C3_Timing C4_Timing   C1_Timing2 C2_Timing2 C3_Timing2 C4_Timing2"

eststo clear
eststo: xtreg Re `fix1' `fix2' if Sex == 0, i(ID) fe 	 // women		   
eststo: xtreg Fr `fix1' `fix2' if Sex == 0, i(ID) fe 	 				   
eststo: xtreg Nb `fix1' `fix2' if Sex == 0, i(ID) fe  		
eststo: xtreg Re `fix1' `fix2' if Sex == 1, i(ID) fe 	 // men	   
eststo: xtreg Fr `fix1' `fix2' if Sex == 1, i(ID) fe 		 				   
eststo: xtreg Nb `fix1' `fix2' if Sex == 1, i(ID) fe  				   
			 
esttab using outcome.csv , replace star(+ 0.1 * 0.05 ** 0.01) cells((b(fmt(3)) se(par([ ]) fmt(3)) _star))wide  nonumbers ///
       mtitles ("relatives" "friends" "neighbours" "relatives" "friends" "neighbours") ///
	   varwidth(40) modelwidth(6)  br plain scsv   	 

estimates restore est6
test C1_Timing=C1_Timing2=0	  
test C2_Timing=C2_Timing2=0	 
test C3_Timing=C3_Timing2=0	
test C4_Timing=C4_Timing2=0	 	   

	   
*** gender differences. 	   
set matsize 1000
local fix3 "i.Time##c.Edu##c.Sex i.WorkStatus##c.Sex i.Marital##c.Sex c.poverty##c.Sex c.Health_Disability##c.Sex c.Health_depression##c.Sex"
local fix4 "c.C1##c.Sex c.C2##c.Sex c.C3##c.Sex c.C4##c.Sex c.nr_kidsD3##c.Sex c.nr_kidsD4##c.Sex c.nr_kidsD5##c.Sex"
local fix5 "c.C1_Timing##c.Sex c.C2_Timing##c.Sex c.C3_Timing##c.Sex c.C4_Timing##c.Sex"
local fix6 "c.C1_Timing2##c.Sex c.C2_Timing2##c.Sex c.C3_Timing2##c.Sex c.C4_Timing2##c.Sex"

eststo clear
eststo: xtreg Re `fix3' `fix4' `fix5' `fix6', i(ID) fe 		   
eststo: xtreg Fr `fix3' `fix4' `fix5' `fix6', i(ID) fe 	 				   
eststo: xtreg Nb `fix3' `fix4' `fix5' `fix6', i(ID) fe  		
				   
			 
esttab using outcome.csv , replace star(+ 0.1 * 0.05 ** 0.01) cells((b(fmt(3)) se(par([ ]) fmt(3)) _star))wide  nonumbers ///
       mtitles ("relatives" "friends" "neighbours" "relatives" "friends" "neighbours") ///
	   varwidth(40) modelwidth(6)  br plain scsv   	   
	 
* also without interacts. 
*xtreg Re i.Time##c.Edu i.WorkStatus i.Marital poverty Health_Disability Health_depression C1 C2 C3 C4 nr_kidsD3 nr_kidsD4 nr_kidsD5 , i(ID) fe


   
	   
****************  FIGURE 2
****************  FIGURE 2
****************  FIGURE 2
* cannot use previous analyses, because there timing is divided by 10. Margins cannot work with this. 
* margins, coeflegend // first use post 
* findit grc1leg
* need stata 14 or higher. 
 
use "ff.dta", clear
keep if Birth > 1950
replace Timing = Timing - 27.98246  if Sex==0
replace Timing = Timing - 30.82428  if Sex==1

tabulate nr_kids, generate(nr_kidsD) 
recode CageC (0=1) (1=0) (2=0) (3=0) (4=0), gen(C0)
recode CageC (0=0) (1=1) (2=0) (3=0) (4=0), gen(C1)
recode CageC (0=0) (1=0) (2=1) (3=0) (4=0), gen(C2)
recode CageC (0=0) (1=0) (2=0) (3=1) (4=0), gen(C3)
recode CageC (0=0) (1=0) (2=0) (3=0) (4=1), gen(C4)
gen	C1_Timing	 = C1 * Timing
gen	C2_Timing	 = C2 * Timing
gen	C3_Timing	 = C3 * Timing
gen	C4_Timing	 = C4 * Timing
gen	C1_Timing2	 = C1 * Timing * Timing
gen	C2_Timing2	 = C2 * Timing * Timing
gen	C3_Timing2	 = C3 * Timing * Timing
gen	C4_Timing2	 = C4 * Timing * Timing

set matsize 1000
local fix1 "i.Time##c.Edu i.WorkStatus i.Marital poverty Health_Disability Health_depression"
local fix2 "C1 C2 C3 C4 nr_kidsD3 nr_kidsD4 nr_kidsD5 C1_Timing C2_Timing C3_Timing C4_Timing   C1_Timing2 C2_Timing2 C3_Timing2 C4_Timing2"

eststo clear
eststo: xtreg Re `fix1' `fix2' if Sex == 0, i(ID) fe 	 // women		   
eststo: xtreg Fr `fix1' `fix2' if Sex == 0, i(ID) fe 	 				   
eststo: xtreg Nb `fix1' `fix2' if Sex == 0, i(ID) fe  		
eststo: xtreg Re `fix1' `fix2' if Sex == 1, i(ID) fe 	 // men	   
eststo: xtreg Fr `fix1' `fix2' if Sex == 1, i(ID) fe 		 				   
eststo: xtreg Nb `fix1' `fix2' if Sex == 1, i(ID) fe 
  
*** marginal effects (use coeflegend) (=/-5 year is approximately 1 sd). 
local MARG1  "at(C1=0 C2=0 C3=0 C4=0 C1_Timing=0  C2_Timing=0  C3_Timing=0  C4_Timing=0  C1_Timing2=0  C2_Timing2=0  C3_Timing2=0  C4_Timing2=0)"  // no child
local MARG2  "at(C1=1 C2=0 C3=0 C4=0 C1_Timing=-5 C2_Timing=0  C3_Timing=0  C4_Timing=0  C1_Timing2=25 C2_Timing2=0  C3_Timing2=0  C4_Timing2=0)"  // C1 early
local MARG3  "at(C1=0 C2=1 C3=0 C4=0 C1_Timing=0  C2_Timing=-5 C3_Timing=0  C4_Timing=0  C1_Timing2=0  C2_Timing2=25 C3_Timing2=0  C4_Timing2=0)"  // C2 early
local MARG4  "at(C1=0 C2=0 C3=1 C4=0 C1_Timing=0  C2_Timing=0  C3_Timing=-5 C4_Timing=0  C1_Timing2=0  C2_Timing2=0  C3_Timing2=25 C4_Timing2=0)"  // C3 early
local MARG5  "at(C1=0 C2=0 C3=0 C4=1 C1_Timing=0  C2_Timing=0  C3_Timing=0  C4_Timing=-5 C1_Timing2=0  C2_Timing2=0  C3_Timing2=0  C4_Timing2=25)" // C4 early
local MARG6  "at(C1=1 C2=0 C3=0 C4=0 C1_Timing=0  C2_Timing=0  C3_Timing=0  C4_Timing=0  C1_Timing2=0  C2_Timing2=0  C3_Timing2=0  C4_Timing2=0)"  // C1 on
local MARG7  "at(C1=0 C2=1 C3=0 C4=0 C1_Timing=0  C2_Timing=0  C3_Timing=0  C4_Timing=0  C1_Timing2=0  C2_Timing2=0  C3_Timing2=0  C4_Timing2=0)"  // C2 on
local MARG8  "at(C1=0 C2=0 C3=1 C4=0 C1_Timing=0  C2_Timing=0  C3_Timing=0  C4_Timing=0  C1_Timing2=0  C2_Timing2=0  C3_Timing2=0  C4_Timing2=0)"  // c3 on
local MARG9  "at(C1=0 C2=0 C3=0 C4=1 C1_Timing=0  C2_Timing=0  C3_Timing=0  C4_Timing=0  C1_Timing2=0  C2_Timing2=0  C3_Timing2=0  C4_Timing2=0)"  // c4 on
local MARG10 "at(C1=1 C2=0 C3=0 C4=0 C1_Timing=5  C2_Timing=0  C3_Timing=0  C4_Timing=0  C1_Timing2=25 C2_Timing2=0  C3_Timing2=0  C4_Timing2=0)"  // c1 late
local MARG11 "at(C1=0 C2=1 C3=0 C4=0 C1_Timing=0  C2_Timing=5  C3_Timing=0  C4_Timing=0  C1_Timing2=0  C2_Timing2=25 C3_Timing2=0  C4_Timing2=0)"  // c2 late
local MARG12 "at(C1=0 C2=0 C3=1 C4=0 C1_Timing=0  C2_Timing=0  C3_Timing=5  C4_Timing=0  C1_Timing2=0  C2_Timing2=0  C3_Timing2=25 C4_Timing2=0)"  // c3 late
local MARG13 "at(C1=0 C2=0 C3=0 C4=1 C1_Timing=0  C2_Timing=0  C3_Timing=0  C4_Timing=5  C1_Timing2=0  C2_Timing2=0  C3_Timing2=0  C4_Timing2=25)" // c3 late 

* M1
est restore est1	   
margins,  `MARG1' `MARG2' `MARG3' `MARG4' `MARG5' `MARG6' `MARG7' `MARG8' `MARG9' `MARG10' `MARG11' `MARG12' `MARG13' post					 	 
matrix Mlegend  =(0, 1, 2, 3, 4)'  	 
matrix Mearly   =( _b[1bn._at], _b[2._at],  _b[3._at],  _b[4._at] ,  _b[5._at] )' 
matrix Mon      =( _b[1bn._at], _b[6._at],  _b[7._at],  _b[8._at] ,  _b[9._at] )' 
matrix Mlate    =( _b[1bn._at], _b[10._at], _b[11._at], _b[12._at] , _b[13._at] )' 
matrix Mest     = Mlegend, Mearly, Mon, Mlate 				 
svmat double Mest, name(MAT) 
line MAT2 MAT1, xlabel(0 "No" 1 "0-4" 2 "5-12" 3 "13-18" 4 "19+") title("Women: relatives", size(medium)) ///
xtitle(" ") ytitle(" ") lpattern(longdash)  lwidth(thick) graphregion(color(white)) bgcolor(white) ///
|| line MAT3 MAT1, lwidth(thick)  ///
|| line MAT4 MAT1, lpattern(dash) lwidth(thick) ///
||, legend(label(1 "Early") label(2 "On-time") label(3 "late") rows(1) size(small)) saving(WR, replace) yscale(range(-.3 .3)) yla(-.3(.1).3)
drop MAT1 MAT2 MAT3 MAT4 
* M2	   
est restore est2
margins,  `MARG1' `MARG2' `MARG3' `MARG4' `MARG5' `MARG6' `MARG7' `MARG8' `MARG9' `MARG10' `MARG11' `MARG12' `MARG13' post					 	 
matrix Mlegend  =(0, 1, 2, 3, 4)'  	 
matrix Mearly   =( _b[1bn._at], _b[2._at],  _b[3._at],  _b[4._at] ,  _b[5._at] )' 
matrix Mon      =( _b[1bn._at], _b[6._at],  _b[7._at],  _b[8._at] ,  _b[9._at] )' 
matrix Mlate    =( _b[1bn._at], _b[10._at], _b[11._at], _b[12._at] , _b[13._at] )' 
matrix Mest     = Mlegend, Mearly, Mon, Mlate 				 
svmat double Mest, name(MAT) 
line MAT2 MAT1, xlabel(0 "No" 1 "0-4" 2 "5-12" 3 "13-18" 4 "19+") title("Women: friends", size(medium)) ///
xtitle(" ") ytitle(" ") lpattern(longdash)  lwidth(thick) graphregion(color(white)) bgcolor(white) ///
|| line MAT3 MAT1, lwidth(thick)  ///
|| line MAT4 MAT1, lpattern(dash) lwidth(thick) ///
||, legend(label(1 "Early") label(2 "On-time") label(3 "late") rows(1) size(small)) saving(WF, replace) yscale(range(-.3 .3)) yla(-.3(.1).3)
drop MAT1 MAT2 MAT3 MAT4 
* M3   
est restore est3
margins,  `MARG1' `MARG2' `MARG3' `MARG4' `MARG5' `MARG6' `MARG7' `MARG8' `MARG9' `MARG10' `MARG11' `MARG12' `MARG13' post					 	 
matrix Mlegend  =(0, 1, 2, 3, 4)'  	 
matrix Mearly   =( _b[1bn._at], _b[2._at],  _b[3._at],  _b[4._at] ,  _b[5._at] )' 
matrix Mon      =( _b[1bn._at], _b[6._at],  _b[7._at],  _b[8._at] ,  _b[9._at] )' 
matrix Mlate    =( _b[1bn._at], _b[10._at], _b[11._at], _b[12._at] , _b[13._at] )' 
matrix Mest     = Mlegend, Mearly, Mon, Mlate 				 
svmat double Mest, name(MAT) 
line MAT2 MAT1, xlabel(0 "No" 1 "0-4" 2 "5-12" 3 "13-18" 4 "19+") title("Women: neighbours", size(medium)) ///
xtitle(" ") ytitle(" ") lpattern(longdash)  lwidth(thick) graphregion(color(white)) bgcolor(white) ///
|| line MAT3 MAT1, lwidth(thick)  ///
|| line MAT4 MAT1, lpattern(dash) lwidth(thick) ///
||, legend(label(1 "Early") label(2 "On-time") label(3 "late") rows(1) size(small)) saving(WN, replace) yscale(range(-.3 .3)) yla(-.3(.1).3)
drop MAT1 MAT2 MAT3 MAT4 


* M4	   
est restore est4 
margins,  `MARG1' `MARG2' `MARG3' `MARG4' `MARG5' `MARG6' `MARG7' `MARG8' `MARG9' `MARG10' `MARG11' `MARG12' `MARG13' post					 	 
matrix Mlegend  =(0, 1, 2, 3, 4)'  	 
matrix Mearly   =( _b[1bn._at], _b[2._at],  _b[3._at],  _b[4._at] ,  _b[5._at] )' 
matrix Mon      =( _b[1bn._at], _b[6._at],  _b[7._at],  _b[8._at] ,  _b[9._at] )' 
matrix Mlate    =( _b[1bn._at], _b[10._at], _b[11._at], _b[12._at] , _b[13._at] )' 
matrix Mest     = Mlegend, Mearly, Mon, Mlate 				 
svmat double Mest, name(MAT) 
line MAT2 MAT1, xlabel(0 "No" 1 "0-4" 2 "5-12" 3 "13-18" 4 "19+") title("Men: relatives", size(medium)) ///
xtitle(" ") ytitle(" ") lpattern(longdash)  lwidth(thick) graphregion(color(white)) bgcolor(white) ///
|| line MAT3 MAT1, lwidth(thick)  ///
|| line MAT4 MAT1, lpattern(dash) lwidth(thick) ///
||, legend(label(1 "Early") label(2 "On-time") label(3 "late") rows(1) size(small)) saving(MR, replace) yscale(range(-.3 .3)) yla(-.3(.1).3)
drop MAT1 MAT2 MAT3 MAT4 
* M5	   
est restore est5
margins,  `MARG1' `MARG2' `MARG3' `MARG4' `MARG5' `MARG6' `MARG7' `MARG8' `MARG9' `MARG10' `MARG11' `MARG12' `MARG13' post					 	 
matrix Mlegend  =(0, 1, 2, 3, 4)'  	 
matrix Mearly   =( _b[1bn._at], _b[2._at],  _b[3._at],  _b[4._at] ,  _b[5._at] )' 
matrix Mon      =( _b[1bn._at], _b[6._at],  _b[7._at],  _b[8._at] ,  _b[9._at] )' 
matrix Mlate    =( _b[1bn._at], _b[10._at], _b[11._at], _b[12._at] , _b[13._at] )' 
matrix Mest     = Mlegend, Mearly, Mon, Mlate 				 
svmat double Mest, name(MAT) 
line MAT2 MAT1, xlabel(0 "No" 1 "0-4" 2 "5-12" 3 "13-18" 4 "19+") title("Men: friends", size(medium)) ///
xtitle(" ") ytitle(" ") lpattern(longdash)  lwidth(thick) graphregion(color(white)) bgcolor(white) ///
|| line MAT3 MAT1, lwidth(thick)  ///
|| line MAT4 MAT1, lpattern(dash) lwidth(thick) ///
||, legend(label(1 "Early") label(2 "On-time") label(3 "late") rows(1) size(small)) saving(MF, replace) yscale(range(-.3 .3)) yla(-.3(.1).3)
drop MAT1 MAT2 MAT3 MAT4 
* M6
est restore est6
margins,  `MARG1' `MARG2' `MARG3' `MARG4' `MARG5' `MARG6' `MARG7' `MARG8' `MARG9' `MARG10' `MARG11' `MARG12' `MARG13' post					 	 
matrix Mlegend  =(0, 1, 2, 3, 4)'  	 
matrix Mearly   =( _b[1bn._at], _b[2._at],  _b[3._at],  _b[4._at] ,  _b[5._at] )' 
matrix Mon      =( _b[1bn._at], _b[6._at],  _b[7._at],  _b[8._at] ,  _b[9._at] )' 
matrix Mlate    =( _b[1bn._at], _b[10._at], _b[11._at], _b[12._at] , _b[13._at] )' 
matrix Mest     = Mlegend, Mearly, Mon, Mlate 				 
svmat double Mest, name(MAT) 
line MAT2 MAT1, xlabel(0 "No" 1 "0-4" 2 "5-12" 3 "13-18" 4 "19+") title("Men: neighbours", size(medium)) ///
xtitle(" ") ytitle(" ") lpattern(longdash)  lwidth(thick) graphregion(color(white)) bgcolor(white) ///
|| line MAT3 MAT1, lwidth(thick)  ///
|| line MAT4 MAT1, lpattern(dash) lwidth(thick) ///
||, legend(label(1 "Early") label(2 "On-time") label(3 "late") rows(1) size(small)) saving(MN, replace) yscale(range(-.3 .3)) yla(-.3(.1).3)
drop MAT1 MAT2 MAT3 MAT4 



grc1leg WR.gph  MR.gph  WF.gph MF.gph WN.gph MN.gph, legendfrom(WR.gph) rows(3) imargin(0 0 0 0) xcommon graphregion(color(white)) name(WomenT3, replace)
graph display WomenT3, xsize(9) ysize(12)	






************************************************ APPENDIX ************************************************
************************************************ APPENDIX ************************************************
************************************************ APPENDIX ************************************************ 
**************** Table 3 & Table 4: with timing 
**************** Table 3 & Table 4: with timing
**************** Table 3 & Table 4: with timing
* articles on hybrid model (Schunk 2013_ Within and between estimates in random-effects models...)
* ssc install center
* use 'main' effects for FE, 'main effects' and 'group means' for orrelated random-effects model, 'within effects' for fixed effects part of hybrid model. 
* if margins, at(C1=0); and margins, at(C1=1); difference is margins, dydx(C1=1) 
* same if at(C1=0 C1_timing=0); at(C1=1 C1_timing=1); difference is equal at fixed effects model and correlated random-effects model
*do bucologit.do // http://www.stata.com/meeting/uk11/abstracts/UK11_Hole.pdf

use "ff.dta", clear
keep if Birth > 1950 & Birth < 2000
replace Timing = Timing - 27.98246  if Sex==0
replace Timing = Timing - 30.82428  if Sex==1

recode CageC (0=1) (1=0) (2=0) (3=0) (4=0), gen(C0)
recode CageC (0=0) (1=1) (2=0) (3=0) (4=0), gen(C1)
recode CageC (0=0) (1=0) (2=1) (3=0) (4=0), gen(C2)
recode CageC (0=0) (1=0) (2=0) (3=1) (4=0), gen(C3)
recode CageC (0=0) (1=0) (2=0) (3=0) (4=1), gen(C4)

tabulate Time      , generate(TimeD)
tabulate nr_kids   , generate(nr_kidsD) 
tabulate WorkStatus, generate(WorkStatusD)
tabulate Marital   , generate(MaritalD)
tabulate Age       , generate(AgeD)
gen	Birth_TimeD2	 = Birth * TimeD2
gen	Birth_TimeD3	 = Birth * TimeD3
gen	Birth_TimeD4	 = Birth * TimeD4
gen	Birth_TimeD5	 = Birth * TimeD5
gen	Birth_TimeD6	 = Birth * TimeD6
gen	Birth_TimeD7	 = Birth * TimeD7
gen	Birth_TimeD8	 = Birth * TimeD8
gen	Birth_TimeD9	 = Birth * TimeD9
gen	Birth_TimeD10	 = Birth * TimeD10
gen	Birth_TimeD11	 = Birth * TimeD11
gen	Birth_TimeD12	 = Birth * TimeD12
gen	Edu_TimeD2	     = edu * TimeD2
gen	Edu_TimeD3	     = edu * TimeD3
gen	Edu_TimeD4	     = edu * TimeD4
gen	Edu_TimeD5	     = edu * TimeD5
gen	Edu_TimeD6	     = edu * TimeD6
gen	Edu_TimeD7	     = edu * TimeD7
gen	Edu_TimeD8	     = edu * TimeD8
gen	Edu_TimeD9	     = edu * TimeD9
gen	Edu_TimeD10	     = edu * TimeD10
gen	Edu_TimeD11	     = edu * TimeD11
gen	Edu_TimeD12	     = edu * TimeD12
save "ff2.dta", replace 




**************** women
**************** women
**************** women
use "ff2.dta", clear
xtset ID jaar
keep if Sex == 0 
set more off, permanently
replace Timing = Timing / 10


egen TimingMean = mean(Timing)
replace Timing = Timing - TimingMean
replace Timing = 0 if Timing == .
gen	C1_Timing	 = C1 * Timing
gen	C2_Timing	 = C2 * Timing
gen	C3_Timing	 = C3 * Timing
gen	C4_Timing	 = C4 * Timing
gen	C1_Timing2	 = C1 * Timing * Timing
gen	C2_Timing2	 = C2 * Timing * Timing
gen	C3_Timing2	 = C3 * Timing * Timing
gen	C4_Timing2	 = C4 * Timing * Timing

mark nonmiss
markout nonmiss N_rel_nr  N_rel_freq N_rel_sup N_fr_nr  N_fr_freq N_fr_sup  N_nb_nr N_nb_freq N_nb_sup ///
        Time Birth edu WorkStatus Marital poverty Health_Disability Health_depression C1 C2 C3 C4 Timing 


* create group means (between effects) and deviation (within effects) for hybrid model 
sort ID
by ID: center TimeD2 TimeD3 TimeD4 TimeD5 TimeD6 TimeD7 TimeD8 TimeD9 TimeD10 TimeD11 TimeD12 if nonmiss==1, prefix(d) mean(m)
by ID: center Birth_TimeD2 Birth_TimeD3 Birth_TimeD4 Birth_TimeD5 Birth_TimeD6 if nonmiss==1, prefix(d) mean(m)
by ID: center Birth_TimeD7 Birth_TimeD8 Birth_TimeD9 Birth_TimeD10 Birth_TimeD11 Birth_TimeD12 if nonmiss==1, prefix(d) mean(m)
by ID: center Edu_TimeD2 Edu_TimeD3 Edu_TimeD4 Edu_TimeD5 Edu_TimeD6 if nonmiss==1, prefix(d) mean(m)
by ID: center Edu_TimeD7 Edu_TimeD8 Edu_TimeD9 Edu_TimeD10 Edu_TimeD11 Edu_TimeD12 if nonmiss==1, prefix(d) mean(m)
by ID: center WorkStatusD2 WorkStatusD3 if nonmiss==1, prefix(d) mean(m)
by ID: center WorkStatusD4 MaritalD2 MaritalD3 MaritalD4 MaritalD5 poverty Health_Disability Health_depression if nonmiss==1, prefix(d) mean(m)
by ID: center nr_kidsD3 nr_kidsD4 nr_kidsD5 C1 C2 C3 C4  if nonmiss==1, prefix(d) mean(m)
by ID: center C1_Timing C2_Timing C3_Timing C4_Timing C1_Timing2 C2_Timing2 C3_Timing2 C4_Timing2 if nonmiss==1, prefix(d) mean(m)
save "ff2W.dta", replace 

local wit1 "mTimeD2 mTimeD3 mTimeD4 mTimeD5 mTimeD6 mTimeD7 mTimeD8 mTimeD9 mTimeD10 mTimeD11 mTimeD12"
local wit2 "mBirth_TimeD2 mBirth_TimeD3 mBirth_TimeD4 mBirth_TimeD5 mBirth_TimeD6"
local wit3 "mBirth_TimeD7 mBirth_TimeD8 mBirth_TimeD9 mBirth_TimeD10 mBirth_TimeD11 mBirth_TimeD12"
local wit4 "mEdu_TimeD2 mEdu_TimeD3 mEdu_TimeD4 mEdu_TimeD5 mEdu_TimeD6 mEdu_TimeD7 mEdu_TimeD8 mEdu_TimeD9 mEdu_TimeD10 mEdu_TimeD11 mEdu_TimeD12"
local wit5 "mWorkStatusD2 mWorkStatusD3 mWorkStatusD4 mMaritalD2 mMaritalD3 mMaritalD4 mMaritalD5 mpoverty mHealth_Disability mHealth_depression"
local wit6 "mC1 mC2 mC3 mC4 mC1_Timing mC2_Timing mC3_Timing mC4_Timing mC1_Timing2 mC2_Timing2 mC3_Timing2 mC4_Timing2"
local fix1 "TimeD2 TimeD3 TimeD4 TimeD5 TimeD6 TimeD7 TimeD8 TimeD9 TimeD10 TimeD11 TimeD12"
local fix2 "Birth_TimeD2 Birth_TimeD3 Birth_TimeD4 Birth_TimeD5 Birth_TimeD6 Birth_TimeD7 Birth_TimeD8 Birth_TimeD9 Birth_TimeD10 Birth_TimeD11 Birth_TimeD12"
local fix3 "Edu_TimeD2 Edu_TimeD3 Edu_TimeD4 Edu_TimeD5 Edu_TimeD6 Edu_TimeD7 Edu_TimeD8 Edu_TimeD9 Edu_TimeD10 Edu_TimeD11 Edu_TimeD12"
local fix4 "WorkStatusD2 WorkStatusD3 WorkStatusD4 MaritalD2 MaritalD3 MaritalD4 MaritalD5  poverty Health_Disability Health_depression"
local fix5 "nr_kidsD3 nr_kidsD4 nr_kidsD5 C1 C2 C3 C4 C1_Timing C2_Timing C3_Timing C4_Timing   C1_Timing2 C2_Timing2 C3_Timing2 C4_Timing2"

eststo clear
eststo: xtreg N_rel_nr   `wit1' `wit2' `wit3' `wit4' `wit5'	`wit6'	`fix1' `fix2' `fix3' `fix4' `fix5', i(ID) re // re: within = fe 			   
eststo: xtreg N_rel_freq `wit1' `wit2' `wit3' `wit4' `wit5'	`wit6'	`fix1' `fix2' `fix3' `fix4' `fix5', i(ID) re // re: within = fe 			   
eststo: xtreg N_rel_sup                                             `fix1' `fix2' `fix3' `fix4' `fix5', i(ID) fe // fe			   
eststo: xtreg N_fr_nr    `wit1' `wit2' `wit3' `wit4' `wit5'	`wit6'	`fix1' `fix2' `fix3' `fix4' `fix5', i(ID) re 			   
eststo: xtreg N_fr_freq  `wit1' `wit2' `wit3' `wit4' `wit5'	`wit6'	`fix1' `fix2' `fix3' `fix4' `fix5', i(ID) re 			   
eststo: xtreg N_fr_sup                                              `fix1' `fix2' `fix3' `fix4' `fix5', i(ID) fe 			   
eststo: xtreg N_nb_nr    `wit1' `wit2' `wit3' `wit4' `wit5'	`wit6'	`fix1' `fix2' `fix3' `fix4' `fix5', i(ID) re 			   
eststo: xtreg N_nb_freq  `wit1' `wit2' `wit3' `wit4' `wit5'	`wit6'	`fix1' `fix2' `fix3' `fix4' `fix5', i(ID) re 			   
eststo: xtreg N_nb_sup                                              `fix1' `fix2' `fix3' `fix4' `fix5', i(ID) fe 	

esttab using outcome.csv , replace star(+ 0.1 * 0.05 ** 0.01) cells((b(fmt(3)) se(par([ ]) fmt(3)) _star))wide  nonumbers ///
       mtitles ("rel. size" "rel. freq." "rel. sup" "fr. size" "fr. freq." "fr. sup" "nb. size" "nb. freq." "nb. sup") ///
	   varwidth(40) modelwidth(6)  br plain scsv   
	   
estimates restore est9
test C1_Timing=C1_Timing2=0	  
test C2_Timing=C2_Timing2=0	 
test C3_Timing=C3_Timing2=0	
test C4_Timing=C4_Timing2=0	 	   
 
	   
**************** men
**************** men
**************** men
use "ff2.dta", clear
xtset ID jaar
keep if Sex == 1 
set more off, permanently
replace Timing = Timing / 10

egen TimingMean = mean(Timing)
replace Timing = Timing - TimingMean
replace Timing = 0 if Timing == .
gen	C1_Timing	 = C1 * Timing
gen	C2_Timing	 = C2 * Timing
gen	C3_Timing	 = C3 * Timing
gen	C4_Timing	 = C4 * Timing
gen	C1_Timing2	 = C1 * Timing * Timing
gen	C2_Timing2	 = C2 * Timing * Timing
gen	C3_Timing2	 = C3 * Timing * Timing
gen	C4_Timing2	 = C4 * Timing * Timing

mark nonmiss
markout nonmiss N_rel_nr  N_rel_freq N_rel_sup N_fr_nr  N_fr_freq N_fr_sup  N_nb_nr N_nb_freq N_nb_sup ///
        Time Birth edu WorkStatus Marital poverty Health_Disability Health_depression C1 C2 C3 C4 Timing 
	
	
* create group means (between effects) and deviation (within effects) for hybrid model 
sort ID
by ID: center TimeD2 TimeD3 TimeD4 TimeD5 TimeD6 TimeD7 TimeD8 TimeD9 TimeD10 TimeD11 TimeD12 if nonmiss==1, prefix(d) mean(m)
by ID: center Birth_TimeD2 Birth_TimeD3 Birth_TimeD4 Birth_TimeD5 Birth_TimeD6 if nonmiss==1, prefix(d) mean(m)
by ID: center Birth_TimeD7 Birth_TimeD8 Birth_TimeD9 Birth_TimeD10 Birth_TimeD11 Birth_TimeD12 if nonmiss==1, prefix(d) mean(m)
by ID: center Edu_TimeD2 Edu_TimeD3 Edu_TimeD4 Edu_TimeD5 Edu_TimeD6 if nonmiss==1, prefix(d) mean(m)
by ID: center Edu_TimeD7 Edu_TimeD8 Edu_TimeD9 Edu_TimeD10 Edu_TimeD11 Edu_TimeD12 if nonmiss==1, prefix(d) mean(m)
by ID: center WorkStatusD2 WorkStatusD3 if nonmiss==1, prefix(d) mean(m)
by ID: center WorkStatusD4 MaritalD2 MaritalD3 MaritalD4 MaritalD5 poverty Health_Disability Health_depression if nonmiss==1, prefix(d) mean(m)
by ID: center C1 C2 C3 C4 nr_kidsD3 nr_kidsD4 nr_kidsD5 if nonmiss==1, prefix(d) mean(m)
by ID: center C1_Timing C2_Timing C3_Timing C4_Timing C1_Timing2 C2_Timing2 C3_Timing2 C4_Timing2 if nonmiss==1, prefix(d) mean(m)
save "ff2M.dta", replace 

local wit1 "mTimeD2 mTimeD3 mTimeD4 mTimeD5 mTimeD6 mTimeD7 mTimeD8 mTimeD9 mTimeD10 mTimeD11 mTimeD12"
local wit2 "mBirth_TimeD2 mBirth_TimeD3 mBirth_TimeD4 mBirth_TimeD5 mBirth_TimeD6"
local wit3 "mBirth_TimeD7 mBirth_TimeD8 mBirth_TimeD9 mBirth_TimeD10 mBirth_TimeD11 mBirth_TimeD12"
local wit4 "mEdu_TimeD2 mEdu_TimeD3 mEdu_TimeD4 mEdu_TimeD5 mEdu_TimeD6 mEdu_TimeD7 mEdu_TimeD8 mEdu_TimeD9 mEdu_TimeD10 mEdu_TimeD11 mEdu_TimeD12"
local wit5 "mWorkStatusD2 mWorkStatusD3 mWorkStatusD4 mMaritalD2 mMaritalD3 mMaritalD4 mMaritalD5 mpoverty mHealth_Disability mHealth_depression"
local wit6 "mC1 mC2 mC3 mC4 mC1_Timing mC2_Timing mC3_Timing mC4_Timing mC1_Timing2 mC2_Timing2 mC3_Timing2 mC4_Timing2"
local fix1 "TimeD2 TimeD3 TimeD4 TimeD5 TimeD6 TimeD7 TimeD8 TimeD9 TimeD10 TimeD11 TimeD12"
local fix2 "Birth_TimeD2 Birth_TimeD3 Birth_TimeD4 Birth_TimeD5 Birth_TimeD6 Birth_TimeD7 Birth_TimeD8 Birth_TimeD9 Birth_TimeD10 Birth_TimeD11 Birth_TimeD12"
local fix3 "Edu_TimeD2 Edu_TimeD3 Edu_TimeD4 Edu_TimeD5 Edu_TimeD6 Edu_TimeD7 Edu_TimeD8 Edu_TimeD9 Edu_TimeD10 Edu_TimeD11 Edu_TimeD12"
local fix4 "WorkStatusD2 WorkStatusD3 WorkStatusD4 MaritalD2 MaritalD3 MaritalD4 MaritalD5  poverty Health_Disability Health_depression"
local fix5 "nr_kidsD3 nr_kidsD4 nr_kidsD5 C1 C2 C3 C4 C1_Timing C2_Timing C3_Timing C4_Timing   C1_Timing2 C2_Timing2 C3_Timing2 C4_Timing2"


eststo clear
eststo: xtreg N_rel_nr   `wit1' `wit2' `wit3' `wit4' `wit5'	`wit6'	`fix1' `fix2' `fix3' `fix4' `fix5', i(ID) re 			   
eststo: xtreg N_rel_freq `wit1' `wit2' `wit3' `wit4' `wit5'	`wit6'	`fix1' `fix2' `fix3' `fix4' `fix5', i(ID) re 			   
eststo: xtreg N_rel_sup                                             `fix1' `fix2' `fix3' `fix4' `fix5', i(ID) fe 			   
eststo: xtreg N_fr_nr    `wit1' `wit2' `wit3' `wit4' `wit5'	`wit6'	`fix1' `fix2' `fix3' `fix4' `fix5', i(ID) re 			   
eststo: xtreg N_fr_freq  `wit1' `wit2' `wit3' `wit4' `wit5'	`wit6'	`fix1' `fix2' `fix3' `fix4' `fix5', i(ID) re 			   
eststo: xtreg N_fr_sup                                              `fix1' `fix2' `fix3' `fix4' `fix5', i(ID) fe 			   
eststo: xtreg N_nb_nr    `wit1' `wit2' `wit3' `wit4' `wit5'	`wit6'	`fix1' `fix2' `fix3' `fix4' `fix5', i(ID) re 			   
eststo: xtreg N_nb_freq  `wit1' `wit2' `wit3' `wit4' `wit5'	`wit6'	`fix1' `fix2' `fix3' `fix4' `fix5', i(ID) re 			   
eststo: xtreg N_nb_sup                                              `fix1' `fix2' `fix3' `fix4' `fix5', i(ID) fe 	
	
			 
esttab using outcome.csv , replace star(+ 0.1 * 0.05 ** 0.01) cells((b(fmt(3)) se(par([ ]) fmt(3)) _star))wide  nonumbers ///
       mtitles ("rel. size" "rel. freq." "rel. sup" "fr. size" "fr. freq." "fr. sup" "nb. size" "nb. freq." "nb. sup") ///
	   varwidth(40) modelwidth(6)  br plain scsv

estimates restore est9
test C1_Timing=C1_Timing2=0	  
test C2_Timing=C2_Timing2=0	 
test C3_Timing=C3_Timing2=0	
test C4_Timing=C4_Timing2=0	 	   
	   
	   
	   
**************** Figure Appendix A & B
**************** Figure Appendix A & B   
**************** Figure Appendix A & B	

**************** women
**************** women
**************** women
use "ff2.dta", clear
xtset ID jaar
keep if Sex == 0 
set more off, permanently
egen TimingMean = mean(Timing)
replace Timing = Timing - TimingMean
replace Timing = 0 if Timing == .
gen	C1_Timing	 = C1 * Timing
gen	C2_Timing	 = C2 * Timing
gen	C3_Timing	 = C3 * Timing
gen	C4_Timing	 = C4 * Timing
gen	C1_Timing2	 = C1 * Timing * Timing
gen	C2_Timing2	 = C2 * Timing * Timing
gen	C3_Timing2	 = C3 * Timing * Timing
gen	C4_Timing2	 = C4 * Timing * Timing
mark nonmiss
markout nonmiss N_rel_nr  N_rel_freq N_rel_sup N_fr_nr  N_fr_freq N_fr_sup  N_nb_nr N_nb_freq N_nb_sup ///
        Time Birth edu WorkStatus Marital poverty Health_Disability Health_depression C1 C2 C3 C4 Timing 

* create group means (between effects) and deviation (within effects) for hybrid model 
sort ID
by ID: center TimeD2 TimeD3 TimeD4 TimeD5 TimeD6 TimeD7 TimeD8 TimeD9 TimeD10 TimeD11 TimeD12 if nonmiss==1, prefix(d) mean(m)
by ID: center Birth_TimeD2 Birth_TimeD3 Birth_TimeD4 Birth_TimeD5 Birth_TimeD6 if nonmiss==1, prefix(d) mean(m)
by ID: center Birth_TimeD7 Birth_TimeD8 Birth_TimeD9 Birth_TimeD10 Birth_TimeD11 Birth_TimeD12 if nonmiss==1, prefix(d) mean(m)
by ID: center Edu_TimeD2 Edu_TimeD3 Edu_TimeD4 Edu_TimeD5 Edu_TimeD6 if nonmiss==1, prefix(d) mean(m)
by ID: center Edu_TimeD7 Edu_TimeD8 Edu_TimeD9 Edu_TimeD10 Edu_TimeD11 Edu_TimeD12 if nonmiss==1, prefix(d) mean(m)
by ID: center WorkStatusD2 WorkStatusD3 if nonmiss==1, prefix(d) mean(m)
by ID: center WorkStatusD4 MaritalD2 MaritalD3 MaritalD4 MaritalD5 poverty Health_Disability Health_depression if nonmiss==1, prefix(d) mean(m)
by ID: center nr_kidsD3 nr_kidsD4 nr_kidsD5 C1 C2 C3 C4  if nonmiss==1, prefix(d) mean(m)
by ID: center C1_Timing C2_Timing C3_Timing C4_Timing C1_Timing2 C2_Timing2 C3_Timing2 C4_Timing2 if nonmiss==1, prefix(d) mean(m)

local wit1 "mTimeD2 mTimeD3 mTimeD4 mTimeD5 mTimeD6 mTimeD7 mTimeD8 mTimeD9 mTimeD10 mTimeD11 mTimeD12"
local wit2 "mBirth_TimeD2 mBirth_TimeD3 mBirth_TimeD4 mBirth_TimeD5 mBirth_TimeD6"
local wit3 "mBirth_TimeD7 mBirth_TimeD8 mBirth_TimeD9 mBirth_TimeD10 mBirth_TimeD11 mBirth_TimeD12"
local wit4 "mEdu_TimeD2 mEdu_TimeD3 mEdu_TimeD4 mEdu_TimeD5 mEdu_TimeD6 mEdu_TimeD7 mEdu_TimeD8 mEdu_TimeD9 mEdu_TimeD10 mEdu_TimeD11 mEdu_TimeD12"
local wit5 "mWorkStatusD2 mWorkStatusD3 mWorkStatusD4 mMaritalD2 mMaritalD3 mMaritalD4 mMaritalD5 mpoverty mHealth_Disability mHealth_depression"
local wit6 "mC1 mC2 mC3 mC4 mC1_Timing mC2_Timing mC3_Timing mC4_Timing mC1_Timing2 mC2_Timing2 mC3_Timing2 mC4_Timing2"
local fix1 "TimeD2 TimeD3 TimeD4 TimeD5 TimeD6 TimeD7 TimeD8 TimeD9 TimeD10 TimeD11 TimeD12"
local fix2 "Birth_TimeD2 Birth_TimeD3 Birth_TimeD4 Birth_TimeD5 Birth_TimeD6 Birth_TimeD7 Birth_TimeD8 Birth_TimeD9 Birth_TimeD10 Birth_TimeD11 Birth_TimeD12"
local fix3 "Edu_TimeD2 Edu_TimeD3 Edu_TimeD4 Edu_TimeD5 Edu_TimeD6 Edu_TimeD7 Edu_TimeD8 Edu_TimeD9 Edu_TimeD10 Edu_TimeD11 Edu_TimeD12"
local fix4 "WorkStatusD2 WorkStatusD3 WorkStatusD4 MaritalD2 MaritalD3 MaritalD4 MaritalD5  poverty Health_Disability Health_depression"
local fix5 "nr_kidsD3 nr_kidsD4 nr_kidsD5 C1 C2 C3 C4 C1_Timing C2_Timing C3_Timing C4_Timing   C1_Timing2 C2_Timing2 C3_Timing2 C4_Timing2"

eststo clear
eststo: xtreg N_rel_nr   `wit1' `wit2' `wit3' `wit4' `wit5'	`wit6'	`fix1' `fix2' `fix3' `fix4' `fix5', i(ID) re 			   
eststo: xtreg N_rel_freq `wit1' `wit2' `wit3' `wit4' `wit5'	`wit6'	`fix1' `fix2' `fix3' `fix4' `fix5', i(ID) re 			   
eststo: xtreg N_rel_sup                                             `fix1' `fix2' `fix3' `fix4' `fix5', i(ID) fe 			   
eststo: xtreg N_fr_nr    `wit1' `wit2' `wit3' `wit4' `wit5'	`wit6'	`fix1' `fix2' `fix3' `fix4' `fix5', i(ID) re 			   
eststo: xtreg N_fr_freq  `wit1' `wit2' `wit3' `wit4' `wit5'	`wit6'	`fix1' `fix2' `fix3' `fix4' `fix5', i(ID) re 			   
eststo: xtreg N_fr_sup                                              `fix1' `fix2' `fix3' `fix4' `fix5', i(ID) fe 			   
eststo: xtreg N_nb_nr    `wit1' `wit2' `wit3' `wit4' `wit5'	`wit6'	`fix1' `fix2' `fix3' `fix4' `fix5', i(ID) re 			   
eststo: xtreg N_nb_freq  `wit1' `wit2' `wit3' `wit4' `wit5'	`wit6'	`fix1' `fix2' `fix3' `fix4' `fix5', i(ID) re 			   
eststo: xtreg N_nb_sup                                              `fix1' `fix2' `fix3' `fix4' `fix5', i(ID) fe 	

	   
*** marginal effects (use coeflegend) 
local MARG1  "at(C1=0 C2=0 C3=0 C4=0 C1_Timing=0  C2_Timing=0  C3_Timing=0  C4_Timing=0  C1_Timing2=0  C2_Timing2=0  C3_Timing2=0  C4_Timing2=0)"
local MARG2  "at(C1=1 C2=0 C3=0 C4=0 C1_Timing=-5 C2_Timing=0  C3_Timing=0  C4_Timing=0  C1_Timing2=25 C2_Timing2=0  C3_Timing2=0  C4_Timing2=0)"
local MARG3  "at(C1=0 C2=1 C3=0 C4=0 C1_Timing=0  C2_Timing=-5 C3_Timing=0  C4_Timing=0  C1_Timing2=0  C2_Timing2=25 C3_Timing2=0  C4_Timing2=0)"
local MARG4  "at(C1=0 C2=0 C3=1 C4=0 C1_Timing=0  C2_Timing=0  C3_Timing=-5 C4_Timing=0  C1_Timing2=0  C2_Timing2=0  C3_Timing2=25 C4_Timing2=0)"
local MARG5  "at(C1=0 C2=0 C3=0 C4=1 C1_Timing=0  C2_Timing=0  C3_Timing=0  C4_Timing=-5 C1_Timing2=0  C2_Timing2=0  C3_Timing2=0  C4_Timing2=25)"
local MARG6  "at(C1=1 C2=0 C3=0 C4=0 C1_Timing=0  C2_Timing=0  C3_Timing=0  C4_Timing=0  C1_Timing2=0  C2_Timing2=0  C3_Timing2=0  C4_Timing2=0)"
local MARG7  "at(C1=0 C2=1 C3=0 C4=0 C1_Timing=0  C2_Timing=0  C3_Timing=0  C4_Timing=0  C1_Timing2=0  C2_Timing2=0  C3_Timing2=0  C4_Timing2=0)"
local MARG8  "at(C1=0 C2=0 C3=1 C4=0 C1_Timing=0  C2_Timing=0  C3_Timing=0  C4_Timing=0  C1_Timing2=0  C2_Timing2=0  C3_Timing2=0  C4_Timing2=0)"
local MARG9  "at(C1=0 C2=0 C3=0 C4=1 C1_Timing=0  C2_Timing=0  C3_Timing=0  C4_Timing=0  C1_Timing2=0  C2_Timing2=0  C3_Timing2=0  C4_Timing2=0)"
local MARG10 "at(C1=1 C2=0 C3=0 C4=0 C1_Timing=5  C2_Timing=0  C3_Timing=0  C4_Timing=0  C1_Timing2=25 C2_Timing2=0  C3_Timing2=0  C4_Timing2=0)"
local MARG11 "at(C1=0 C2=1 C3=0 C4=0 C1_Timing=0  C2_Timing=5  C3_Timing=0  C4_Timing=0  C1_Timing2=0  C2_Timing2=25 C3_Timing2=0  C4_Timing2=0)"
local MARG12 "at(C1=0 C2=0 C3=1 C4=0 C1_Timing=0  C2_Timing=0  C3_Timing=5  C4_Timing=0  C1_Timing2=0  C2_Timing2=0  C3_Timing2=25 C4_Timing2=0)"
local MARG13 "at(C1=0 C2=0 C3=0 C4=1 C1_Timing=0  C2_Timing=0  C3_Timing=0  C4_Timing=5  C1_Timing2=0  C2_Timing2=0  C3_Timing2=0  C4_Timing2=25)"

* M1	   
est restore est1	   
margins,  `MARG1' `MARG2' `MARG3' `MARG4' `MARG5' `MARG6' `MARG7' `MARG8' `MARG9' `MARG10' `MARG11' `MARG12' `MARG13' post						 	 
matrix Mlegend  =(0, 1, 2, 3, 4)'  	 
matrix Mearly   =( _b[1bn._at], _b[2._at],  _b[3._at],  _b[4._at] ,  _b[5._at] )' 
matrix Mon      =( _b[1bn._at], _b[6._at],  _b[7._at],  _b[8._at] ,  _b[9._at] )' 
matrix Mlate    =( _b[1bn._at], _b[10._at], _b[11._at], _b[12._at] , _b[13._at] )' 
matrix Mest     = Mlegend, Mearly, Mon, Mlate 				 
svmat double Mest, name(MAT) 
line MAT2 MAT1, xlabel(0 "No" 1 "0-4" 2 "5-12" 3 "13-18" 4 "19+") title("Relatives: number", size(medium)) ///
xtitle(" ") ytitle(" ") lpattern(longdash)  lwidth(thick) graphregion(color(white)) bgcolor(white) ///
|| line MAT3 MAT1, lwidth(thick)  ///
|| line MAT4 MAT1, lpattern(dash) lwidth(thick) ///
||, legend(label(1 "Early") label(2 "On-time") label(3 "late") rows(1) size(small)) saving(WM1, replace) yscale(range(5 8)) yla(5(1)8)
drop MAT1 MAT2 MAT3 MAT4 
* M2	   
est restore est2	   
margins,  `MARG1' `MARG2' `MARG3' `MARG4' `MARG5' `MARG6' `MARG7' `MARG8' `MARG9' `MARG10' `MARG11' `MARG12' `MARG13' post						 	 
matrix Mlegend  =(0, 1, 2, 3, 4)'  	 
matrix Mearly   =( _b[1bn._at], _b[2._at],  _b[3._at],  _b[4._at] ,  _b[5._at] )' 
matrix Mon      =( _b[1bn._at], _b[6._at],  _b[7._at],  _b[8._at] ,  _b[9._at] )' 
matrix Mlate    =( _b[1bn._at], _b[10._at], _b[11._at], _b[12._at] , _b[13._at] )' 
matrix Mest     = Mlegend, Mearly, Mon, Mlate 				 
svmat double Mest, name(MAT) 
line MAT2 MAT1, xlabel(0 "No" 1 "0-4" 2 "5-12" 3 "13-18" 4 "19+") title("Relatives: frequency", size(medium)) ///
xtitle(" ") ytitle(" ") lpattern(longdash)  lwidth(thick) graphregion(color(white)) bgcolor(white) ///
|| line MAT3 MAT1, lwidth(thick)  ///
|| line MAT4 MAT1, lpattern(dash) lwidth(thick) ///
||, legend(label(1 "Early") label(2 "On-time") label(3 "late") rows(1)) saving(WM2, replace) yscale(range(7 9)) yla(7(1)9)
drop MAT1 MAT2 MAT3 MAT4 
* M3	   
est restore est3	   
margins,  `MARG1' `MARG2' `MARG3' `MARG4' `MARG5' `MARG6' `MARG7' `MARG8' `MARG9' `MARG10' `MARG11' `MARG12' `MARG13' post						 	 
matrix Mlegend  =(0, 1, 2, 3, 4)'  	 
matrix Mearly   =( _b[1bn._at], _b[2._at],  _b[3._at],  _b[4._at] ,  _b[5._at] )' 
matrix Mon      =( _b[1bn._at], _b[6._at],  _b[7._at],  _b[8._at] ,  _b[9._at] )' 
matrix Mlate    =( _b[1bn._at], _b[10._at], _b[11._at], _b[12._at] , _b[13._at] )' 
matrix Mest     = Mlegend, Mearly, Mon, Mlate 				 
svmat double Mest, name(MAT) 
line MAT2 MAT1, xlabel(0 "No" 1 "0-4" 2 "5-12" 3 "13-18" 4 "19+") title("Relatives: support", size(medium)) ///
 xtitle(" ") ytitle(" ") lpattern(longdash)  lwidth(thick) graphregion(color(white)) bgcolor(white) ///
|| line MAT3 MAT1, lwidth(thick)  ///
|| line MAT4 MAT1, lpattern(dash) lwidth(thick) ///
||, legend(label(1 "Early") label(2 "On-time") label(3 "late") rows(1)) saving(WM3, replace) yscale(range(6 8)) yla(6(1)8)
drop MAT1 MAT2 MAT3 MAT4 
* M4	   
est restore est4	   
margins,  `MARG1' `MARG2' `MARG3' `MARG4' `MARG5' `MARG6' `MARG7' `MARG8' `MARG9' `MARG10' `MARG11' `MARG12' `MARG13' post						 	 
matrix Mlegend  =(0, 1, 2, 3, 4)'  	 
matrix Mearly   =( _b[1bn._at], _b[2._at],  _b[3._at],  _b[4._at] ,  _b[5._at] )' 
matrix Mon      =( _b[1bn._at], _b[6._at],  _b[7._at],  _b[8._at] ,  _b[9._at] )' 
matrix Mlate    =( _b[1bn._at], _b[10._at], _b[11._at], _b[12._at] , _b[13._at] )' 
matrix Mest     = Mlegend, Mearly, Mon, Mlate 				 
svmat double Mest, name(MAT) 
line MAT2 MAT1, xlabel(0 "No" 1 "0-4" 2 "5-12" 3 "13-18" 4 "19+") title("Friends: number", size(medium)) ///
 xtitle(" ") ytitle(" ") lpattern(longdash)  lwidth(thick) graphregion(color(white)) bgcolor(white) ///
|| line MAT3 MAT1, lwidth(thick)  ///
|| line MAT4 MAT1, lpattern(dash) lwidth(thick) ///
||, legend(label(1 "Early") label(2 "On-time") label(3 "late") rows(1)) saving(WM4, replace) yscale(range(4 6)) yla(4(1)6)
drop MAT1 MAT2 MAT3 MAT4 
* M5	   
est restore est5	   
margins,  `MARG1' `MARG2' `MARG3' `MARG4' `MARG5' `MARG6' `MARG7' `MARG8' `MARG9' `MARG10' `MARG11' `MARG12' `MARG13' post						 	 
matrix Mlegend  =(0, 1, 2, 3, 4)'  	 
matrix Mearly   =( _b[1bn._at], _b[2._at],  _b[3._at],  _b[4._at] ,  _b[5._at] )' 
matrix Mon      =( _b[1bn._at], _b[6._at],  _b[7._at],  _b[8._at] ,  _b[9._at] )' 
matrix Mlate    =( _b[1bn._at], _b[10._at], _b[11._at], _b[12._at] , _b[13._at] )' 
matrix Mest     = Mlegend, Mearly, Mon, Mlate 				 
svmat double Mest, name(MAT) 
line MAT2 MAT1, xlabel(0 "No" 1 "0-4" 2 "5-12" 3 "13-18" 4 "19+") title("Friends: frequency", size(medium)) ///
 xtitle(" ") ytitle(" ") lpattern(longdash)  lwidth(thick) graphregion(color(white)) bgcolor(white) ///
|| line MAT3 MAT1, lwidth(thick)  ///
|| line MAT4 MAT1, lpattern(dash) lwidth(thick) ///
||, legend(label(1 "Early") label(2 "On-time") label(3 "late") rows(1)) saving(WM5, replace) yscale(range(6 11)) yla(6(1)11)
drop MAT1 MAT2 MAT3 MAT4 
* M6   
est restore est6	   
margins,  `MARG1' `MARG2' `MARG3' `MARG4' `MARG5' `MARG6' `MARG7' `MARG8' `MARG9' `MARG10' `MARG11' `MARG12' `MARG13' post						 	 
matrix Mlegend  =(0, 1, 2, 3, 4)'  	 
matrix Mearly   =( _b[1bn._at], _b[2._at],  _b[3._at],  _b[4._at] ,  _b[5._at] )' 
matrix Mon      =( _b[1bn._at], _b[6._at],  _b[7._at],  _b[8._at] ,  _b[9._at] )' 
matrix Mlate    =( _b[1bn._at], _b[10._at], _b[11._at], _b[12._at] , _b[13._at] )' 
matrix Mest     = Mlegend, Mearly, Mon, Mlate 				 
svmat double Mest, name(MAT) 
line MAT2 MAT1, xlabel(0 "No" 1 "0-4" 2 "5-12" 3 "13-18" 4 "19+") title("Friends: support", size(medium)) ///
 xtitle(" ") ytitle(" ") lpattern(longdash)  lwidth(thick) graphregion(color(white)) bgcolor(white) ///
|| line MAT3 MAT1, lwidth(thick)  ///
|| line MAT4 MAT1, lpattern(dash) lwidth(thick) ///
||, legend(label(1 "Early") label(2 "On-time") label(3 "late") rows(1)) saving(WM6, replace) yscale(range(7 8)) yla(7(1)8)
drop MAT1 MAT2 MAT3 MAT4 
* M7
est restore est7   
margins,  `MARG1' `MARG2' `MARG3' `MARG4' `MARG5' `MARG6' `MARG7' `MARG8' `MARG9' `MARG10' `MARG11' `MARG12' `MARG13' post						 	 
matrix Mlegend  =(0, 1, 2, 3, 4)'  	 
matrix Mearly   =( _b[1bn._at], _b[2._at],  _b[3._at],  _b[4._at] ,  _b[5._at] )' 
matrix Mon      =( _b[1bn._at], _b[6._at],  _b[7._at],  _b[8._at] ,  _b[9._at] )' 
matrix Mlate    =( _b[1bn._at], _b[10._at], _b[11._at], _b[12._at] , _b[13._at] )' 
matrix Mest     = Mlegend, Mearly, Mon, Mlate 				 
svmat double Mest, name(MAT) 
line MAT2 MAT1, xlabel(0 "No" 1 "0-4" 2 "5-12" 3 "13-18" 4 "19+") title("Neighb.: number", size(medium)) ///
 xtitle(" ") ytitle(" ") lpattern(longdash)  lwidth(thick) graphregion(color(white)) bgcolor(white) ///
|| line MAT3 MAT1, lwidth(thick)  ///
|| line MAT4 MAT1, lpattern(dash) lwidth(thick) ///
||, legend(label(1 "Early") label(2 "On-time") label(3 "late") rows(1)) saving(WM7, replace) yscale(range(2 4)) yla(2(1)4)
drop MAT1 MAT2 MAT3 MAT4 
* M8 
est restore est8	   
margins,  `MARG1' `MARG2' `MARG3' `MARG4' `MARG5' `MARG6' `MARG7' `MARG8' `MARG9' `MARG10' `MARG11' `MARG12' `MARG13' post						 	 
matrix Mlegend  =(0, 1, 2, 3, 4)'  	 
matrix Mearly   =( _b[1bn._at], _b[2._at],  _b[3._at],  _b[4._at] ,  _b[5._at] )' 
matrix Mon      =( _b[1bn._at], _b[6._at],  _b[7._at],  _b[8._at] ,  _b[9._at] )' 
matrix Mlate    =( _b[1bn._at], _b[10._at], _b[11._at], _b[12._at] , _b[13._at] )' 
matrix Mest     = Mlegend, Mearly, Mon, Mlate 				 
svmat double Mest, name(MAT) 
line MAT2 MAT1, xlabel(0 "No" 1 "0-4" 2 "5-12" 3 "13-18" 4 "19+") title("Neighb.: frequency", size(medium)) ///
 xtitle(" ") ytitle(" ") lpattern(longdash)  lwidth(thick) graphregion(color(white)) bgcolor(white) ///
|| line MAT3 MAT1, lwidth(thick)  ///
|| line MAT4 MAT1, lpattern(dash) lwidth(thick) ///
||, legend(label(1 "Early") label(2 "On-time") label(3 "late") rows(1)) saving(WM8, replace) yscale(range(4 10)) yla(4(2)10)
drop MAT1 MAT2 MAT3 MAT4 
* M9 
est restore est9	   
margins,  `MARG1' `MARG2' `MARG3' `MARG4' `MARG5' `MARG6' `MARG7' `MARG8' `MARG9' `MARG10' `MARG11' `MARG12' `MARG13' post						 	 
matrix Mlegend  =(0, 1, 2, 3, 4)'  	 
matrix Mearly   =( _b[1bn._at], _b[2._at],  _b[3._at],  _b[4._at] ,  _b[5._at] )' 
matrix Mon      =( _b[1bn._at], _b[6._at],  _b[7._at],  _b[8._at] ,  _b[9._at] )' 
matrix Mlate    =( _b[1bn._at], _b[10._at], _b[11._at], _b[12._at] , _b[13._at] )' 
matrix Mest     = Mlegend, Mearly, Mon, Mlate 				 
svmat double Mest, name(MAT) 
line MAT2 MAT1, xlabel(0 "No" 1 "0-4" 2 "5-12" 3 "13-18" 4 "19+") title("Neighb.: support", size(medium)) ///
 xtitle(" ") ytitle(" ") lpattern(longdash)  lwidth(thick) graphregion(color(white)) bgcolor(white) ///
|| line MAT3 MAT1, lwidth(thick)  ///
|| line MAT4 MAT1, lpattern(dash) lwidth(thick) ///
||, legend(label(1 "Early") label(2 "On-time") label(3 "late") rows(1)) saving(WM9, replace) yscale(range(3 6)) yla(3(1)6)
drop MAT1 MAT2 MAT3 MAT4 


grc1leg WM1.gph WM2.gph WM3.gph   WM4.gph WM5.gph WM6.gph   WM7.gph WM8.gph WM9.gph, legendfrom(WM1.gph) imargin(0 0 0 0) xcommon graphregion(color(white)) name(WomenT3, replace)
graph display WomenT3, xsize(9) ysize(12)	






**************** men
**************** men
**************** men
use "ff2.dta", clear
xtset ID jaar
keep if Sex == 1
set more off, permanently
egen TimingMean = mean(Timing)
replace Timing = Timing - TimingMean
replace Timing = 0 if Timing == .
gen	C1_Timing	 = C1 * Timing
gen	C2_Timing	 = C2 * Timing
gen	C3_Timing	 = C3 * Timing
gen	C4_Timing	 = C4 * Timing
gen	C1_Timing2	 = C1 * Timing * Timing
gen	C2_Timing2	 = C2 * Timing * Timing
gen	C3_Timing2	 = C3 * Timing * Timing
gen	C4_Timing2	 = C4 * Timing * Timing
mark nonmiss
markout nonmiss N_rel_nr  N_rel_freq N_rel_sup N_fr_nr  N_fr_freq N_fr_sup  N_nb_nr N_nb_freq N_nb_sup ///
        Time Birth edu WorkStatus Marital poverty Health_Disability Health_depression C1 C2 C3 C4 Timing 

* create group means (between effects) and deviation (within effects) for hybrid model 
sort ID
by ID: center TimeD2 TimeD3 TimeD4 TimeD5 TimeD6 TimeD7 TimeD8 TimeD9 TimeD10 TimeD11 TimeD12 if nonmiss==1, prefix(d) mean(m)
by ID: center Birth_TimeD2 Birth_TimeD3 Birth_TimeD4 Birth_TimeD5 Birth_TimeD6 if nonmiss==1, prefix(d) mean(m)
by ID: center Birth_TimeD7 Birth_TimeD8 Birth_TimeD9 Birth_TimeD10 Birth_TimeD11 Birth_TimeD12 if nonmiss==1, prefix(d) mean(m)
by ID: center Edu_TimeD2 Edu_TimeD3 Edu_TimeD4 Edu_TimeD5 Edu_TimeD6 if nonmiss==1, prefix(d) mean(m)
by ID: center Edu_TimeD7 Edu_TimeD8 Edu_TimeD9 Edu_TimeD10 Edu_TimeD11 Edu_TimeD12 if nonmiss==1, prefix(d) mean(m)
by ID: center WorkStatusD2 WorkStatusD3 if nonmiss==1, prefix(d) mean(m)
by ID: center WorkStatusD4 MaritalD2 MaritalD3 MaritalD4 MaritalD5 poverty Health_Disability Health_depression if nonmiss==1, prefix(d) mean(m)
by ID: center nr_kidsD3 nr_kidsD4 nr_kidsD5 C1 C2 C3 C4  if nonmiss==1, prefix(d) mean(m)
by ID: center C1_Timing C2_Timing C3_Timing C4_Timing C1_Timing2 C2_Timing2 C3_Timing2 C4_Timing2 if nonmiss==1, prefix(d) mean(m)

local wit1 "mTimeD2 mTimeD3 mTimeD4 mTimeD5 mTimeD6 mTimeD7 mTimeD8 mTimeD9 mTimeD10 mTimeD11 mTimeD12"
local wit2 "mBirth_TimeD2 mBirth_TimeD3 mBirth_TimeD4 mBirth_TimeD5 mBirth_TimeD6"
local wit3 "mBirth_TimeD7 mBirth_TimeD8 mBirth_TimeD9 mBirth_TimeD10 mBirth_TimeD11 mBirth_TimeD12"
local wit4 "mEdu_TimeD2 mEdu_TimeD3 mEdu_TimeD4 mEdu_TimeD5 mEdu_TimeD6 mEdu_TimeD7 mEdu_TimeD8 mEdu_TimeD9 mEdu_TimeD10 mEdu_TimeD11 mEdu_TimeD12"
local wit5 "mWorkStatusD2 mWorkStatusD3 mWorkStatusD4 mMaritalD2 mMaritalD3 mMaritalD4 mMaritalD5 mpoverty mHealth_Disability mHealth_depression"
local wit6 "mC1 mC2 mC3 mC4 mC1_Timing mC2_Timing mC3_Timing mC4_Timing mC1_Timing2 mC2_Timing2 mC3_Timing2 mC4_Timing2"
local fix1 "TimeD2 TimeD3 TimeD4 TimeD5 TimeD6 TimeD7 TimeD8 TimeD9 TimeD10 TimeD11 TimeD12"
local fix2 "Birth_TimeD2 Birth_TimeD3 Birth_TimeD4 Birth_TimeD5 Birth_TimeD6 Birth_TimeD7 Birth_TimeD8 Birth_TimeD9 Birth_TimeD10 Birth_TimeD11 Birth_TimeD12"
local fix3 "Edu_TimeD2 Edu_TimeD3 Edu_TimeD4 Edu_TimeD5 Edu_TimeD6 Edu_TimeD7 Edu_TimeD8 Edu_TimeD9 Edu_TimeD10 Edu_TimeD11 Edu_TimeD12"
local fix4 "WorkStatusD2 WorkStatusD3 WorkStatusD4 MaritalD2 MaritalD3 MaritalD4 MaritalD5  poverty Health_Disability Health_depression"
local fix5 "nr_kidsD3 nr_kidsD4 nr_kidsD5 C1 C2 C3 C4 C1_Timing C2_Timing C3_Timing C4_Timing   C1_Timing2 C2_Timing2 C3_Timing2 C4_Timing2"

eststo clear
eststo: xtreg N_rel_nr   `wit1' `wit2' `wit3' `wit4' `wit5'	`wit6'	`fix1' `fix2' `fix3' `fix4' `fix5', i(ID) re 			   
eststo: xtreg N_rel_freq `wit1' `wit2' `wit3' `wit4' `wit5'	`wit6'	`fix1' `fix2' `fix3' `fix4' `fix5', i(ID) re 			   
eststo: xtreg N_rel_sup                                             `fix1' `fix2' `fix3' `fix4' `fix5', i(ID) fe 			   
eststo: xtreg N_fr_nr    `wit1' `wit2' `wit3' `wit4' `wit5'	`wit6'	`fix1' `fix2' `fix3' `fix4' `fix5', i(ID) re 			   
eststo: xtreg N_fr_freq  `wit1' `wit2' `wit3' `wit4' `wit5'	`wit6'	`fix1' `fix2' `fix3' `fix4' `fix5', i(ID) re 			   
eststo: xtreg N_fr_sup                                              `fix1' `fix2' `fix3' `fix4' `fix5', i(ID) fe 			   
eststo: xtreg N_nb_nr    `wit1' `wit2' `wit3' `wit4' `wit5'	`wit6'	`fix1' `fix2' `fix3' `fix4' `fix5', i(ID) re 			   
eststo: xtreg N_nb_freq  `wit1' `wit2' `wit3' `wit4' `wit5'	`wit6'	`fix1' `fix2' `fix3' `fix4' `fix5', i(ID) re 			   
eststo: xtreg N_nb_sup                                              `fix1' `fix2' `fix3' `fix4' `fix5', i(ID) fe 	

	   
*** marginal effects (use coeflegend) 
local MARG1  "at(C1=0 C2=0 C3=0 C4=0 C1_Timing=0  C2_Timing=0  C3_Timing=0  C4_Timing=0  C1_Timing2=0  C2_Timing2=0  C3_Timing2=0  C4_Timing2=0)"
local MARG2  "at(C1=1 C2=0 C3=0 C4=0 C1_Timing=-5 C2_Timing=0  C3_Timing=0  C4_Timing=0  C1_Timing2=25 C2_Timing2=0  C3_Timing2=0  C4_Timing2=0)"
local MARG3  "at(C1=0 C2=1 C3=0 C4=0 C1_Timing=0  C2_Timing=-5 C3_Timing=0  C4_Timing=0  C1_Timing2=0  C2_Timing2=25 C3_Timing2=0  C4_Timing2=0)"
local MARG4  "at(C1=0 C2=0 C3=1 C4=0 C1_Timing=0  C2_Timing=0  C3_Timing=-5 C4_Timing=0  C1_Timing2=0  C2_Timing2=0  C3_Timing2=25 C4_Timing2=0)"
local MARG5  "at(C1=0 C2=0 C3=0 C4=1 C1_Timing=0  C2_Timing=0  C3_Timing=0  C4_Timing=-5 C1_Timing2=0  C2_Timing2=0  C3_Timing2=0  C4_Timing2=25)"
local MARG6  "at(C1=1 C2=0 C3=0 C4=0 C1_Timing=0  C2_Timing=0  C3_Timing=0  C4_Timing=0  C1_Timing2=0  C2_Timing2=0  C3_Timing2=0  C4_Timing2=0)"
local MARG7  "at(C1=0 C2=1 C3=0 C4=0 C1_Timing=0  C2_Timing=0  C3_Timing=0  C4_Timing=0  C1_Timing2=0  C2_Timing2=0  C3_Timing2=0  C4_Timing2=0)"
local MARG8  "at(C1=0 C2=0 C3=1 C4=0 C1_Timing=0  C2_Timing=0  C3_Timing=0  C4_Timing=0  C1_Timing2=0  C2_Timing2=0  C3_Timing2=0  C4_Timing2=0)"
local MARG9  "at(C1=0 C2=0 C3=0 C4=1 C1_Timing=0  C2_Timing=0  C3_Timing=0  C4_Timing=0  C1_Timing2=0  C2_Timing2=0  C3_Timing2=0  C4_Timing2=0)"
local MARG10 "at(C1=1 C2=0 C3=0 C4=0 C1_Timing=5  C2_Timing=0  C3_Timing=0  C4_Timing=0  C1_Timing2=25 C2_Timing2=0  C3_Timing2=0  C4_Timing2=0)"
local MARG11 "at(C1=0 C2=1 C3=0 C4=0 C1_Timing=0  C2_Timing=5  C3_Timing=0  C4_Timing=0  C1_Timing2=0  C2_Timing2=25 C3_Timing2=0  C4_Timing2=0)"
local MARG12 "at(C1=0 C2=0 C3=1 C4=0 C1_Timing=0  C2_Timing=0  C3_Timing=5  C4_Timing=0  C1_Timing2=0  C2_Timing2=0  C3_Timing2=25 C4_Timing2=0)"
local MARG13 "at(C1=0 C2=0 C3=0 C4=1 C1_Timing=0  C2_Timing=0  C3_Timing=0  C4_Timing=5  C1_Timing2=0  C2_Timing2=0  C3_Timing2=0  C4_Timing2=25)"

* M1	   
est restore est1	   
margins,  `MARG1' `MARG2' `MARG3' `MARG4' `MARG5' `MARG6' `MARG7' `MARG8' `MARG9' `MARG10' `MARG11' `MARG12' `MARG13' post						 	 
matrix Mlegend  =(0, 1, 2, 3, 4)'  	 
matrix Mearly   =( _b[1bn._at], _b[2._at],  _b[3._at],  _b[4._at] ,  _b[5._at] )' 
matrix Mon      =( _b[1bn._at], _b[6._at],  _b[7._at],  _b[8._at] ,  _b[9._at] )' 
matrix Mlate    =( _b[1bn._at], _b[10._at], _b[11._at], _b[12._at] , _b[13._at] )' 
matrix Mest     = Mlegend, Mearly, Mon, Mlate 				 
svmat double Mest, name(MAT) 
line MAT2 MAT1, xlabel(0 "No" 1 "0-4" 2 "5-12" 3 "13-18" 4 "19+") title("Relatives: number", size(medium)) ///
xtitle(" ") ytitle(" ") lpattern(longdash)  lwidth(thick) graphregion(color(white)) bgcolor(white) ///
|| line MAT3 MAT1, lwidth(thick)  ///
|| line MAT4 MAT1, lpattern(dash) lwidth(thick) ///
||, legend(label(1 "Early") label(2 "On-time") label(3 "late") rows(1) size(small)) saving(MM1, replace) yscale(range(5 8)) yla(5(1)8)
drop MAT1 MAT2 MAT3 MAT4 
* M2	   
est restore est2	   
margins,  `MARG1' `MARG2' `MARG3' `MARG4' `MARG5' `MARG6' `MARG7' `MARG8' `MARG9' `MARG10' `MARG11' `MARG12' `MARG13' post						 	 
matrix Mlegend  =(0, 1, 2, 3, 4)'  	 
matrix Mearly   =( _b[1bn._at], _b[2._at],  _b[3._at],  _b[4._at] ,  _b[5._at] )' 
matrix Mon      =( _b[1bn._at], _b[6._at],  _b[7._at],  _b[8._at] ,  _b[9._at] )' 
matrix Mlate    =( _b[1bn._at], _b[10._at], _b[11._at], _b[12._at] , _b[13._at] )' 
matrix Mest     = Mlegend, Mearly, Mon, Mlate 				 
svmat double Mest, name(MAT) 
line MAT2 MAT1, xlabel(0 "No" 1 "0-4" 2 "5-12" 3 "13-18" 4 "19+") title("Relatives: frequency", size(medium)) ///
xtitle(" ") ytitle(" ") lpattern(longdash)  lwidth(thick) graphregion(color(white)) bgcolor(white) ///
|| line MAT3 MAT1, lwidth(thick)  ///
|| line MAT4 MAT1, lpattern(dash) lwidth(thick) ///
||, legend(label(1 "Early") label(2 "On-time") label(3 "late") rows(1)) saving(MM2, replace) yscale(range(5 7)) yla(5(1)7)
drop MAT1 MAT2 MAT3 MAT4 
* M3	   
est restore est3	   
margins,  `MARG1' `MARG2' `MARG3' `MARG4' `MARG5' `MARG6' `MARG7' `MARG8' `MARG9' `MARG10' `MARG11' `MARG12' `MARG13' post						 	 
matrix Mlegend  =(0, 1, 2, 3, 4)'  	 
matrix Mearly   =( _b[1bn._at], _b[2._at],  _b[3._at],  _b[4._at] ,  _b[5._at] )' 
matrix Mon      =( _b[1bn._at], _b[6._at],  _b[7._at],  _b[8._at] ,  _b[9._at] )' 
matrix Mlate    =( _b[1bn._at], _b[10._at], _b[11._at], _b[12._at] , _b[13._at] )' 
matrix Mest     = Mlegend, Mearly, Mon, Mlate 				 
svmat double Mest, name(MAT) 
line MAT2 MAT1, xlabel(0 "No" 1 "0-4" 2 "5-12" 3 "13-18" 4 "19+") title("Relatives: support", size(medium)) ///
 xtitle(" ") ytitle(" ") lpattern(longdash)  lwidth(thick) graphregion(color(white)) bgcolor(white) ///
|| line MAT3 MAT1, lwidth(thick)  ///
|| line MAT4 MAT1, lpattern(dash) lwidth(thick) ///
||, legend(label(1 "Early") label(2 "On-time") label(3 "late") rows(1)) saving(MM3, replace) yscale(range(6 8)) yla(6(1)8)
drop MAT1 MAT2 MAT3 MAT4 
* M4	   
est restore est4	   
margins,  `MARG1' `MARG2' `MARG3' `MARG4' `MARG5' `MARG6' `MARG7' `MARG8' `MARG9' `MARG10' `MARG11' `MARG12' `MARG13' post						 	 
matrix Mlegend  =(0, 1, 2, 3, 4)'  	 
matrix Mearly   =( _b[1bn._at], _b[2._at],  _b[3._at],  _b[4._at] ,  _b[5._at] )' 
matrix Mon      =( _b[1bn._at], _b[6._at],  _b[7._at],  _b[8._at] ,  _b[9._at] )' 
matrix Mlate    =( _b[1bn._at], _b[10._at], _b[11._at], _b[12._at] , _b[13._at] )' 
matrix Mest     = Mlegend, Mearly, Mon, Mlate 				 
svmat double Mest, name(MAT) 
line MAT2 MAT1, xlabel(0 "No" 1 "0-4" 2 "5-12" 3 "13-18" 4 "19+") title("Friends: number", size(medium)) ///
 xtitle(" ") ytitle(" ") lpattern(longdash)  lwidth(thick) graphregion(color(white)) bgcolor(white) ///
|| line MAT3 MAT1, lwidth(thick)  ///
|| line MAT4 MAT1, lpattern(dash) lwidth(thick) ///
||, legend(label(1 "Early") label(2 "On-time") label(3 "late") rows(1)) saving(MM4, replace) yscale(range(5 7)) yla(5(1)7)
drop MAT1 MAT2 MAT3 MAT4 
* M5	   
est restore est5	   
margins,  `MARG1' `MARG2' `MARG3' `MARG4' `MARG5' `MARG6' `MARG7' `MARG8' `MARG9' `MARG10' `MARG11' `MARG12' `MARG13' post						 	 
matrix Mlegend  =(0, 1, 2, 3, 4)'  	 
matrix Mearly   =( _b[1bn._at], _b[2._at],  _b[3._at],  _b[4._at] ,  _b[5._at] )' 
matrix Mon      =( _b[1bn._at], _b[6._at],  _b[7._at],  _b[8._at] ,  _b[9._at] )' 
matrix Mlate    =( _b[1bn._at], _b[10._at], _b[11._at], _b[12._at] , _b[13._at] )' 
matrix Mest     = Mlegend, Mearly, Mon, Mlate 				 
svmat double Mest, name(MAT) 
line MAT2 MAT1, xlabel(0 "No" 1 "0-4" 2 "5-12" 3 "13-18" 4 "19+") title("Friends: frequency", size(medium)) ///
 xtitle(" ") ytitle(" ") lpattern(longdash)  lwidth(thick) graphregion(color(white)) bgcolor(white) ///
|| line MAT3 MAT1, lwidth(thick)  ///
|| line MAT4 MAT1, lpattern(dash) lwidth(thick) ///
||, legend(label(1 "Early") label(2 "On-time") label(3 "late") rows(1)) saving(MM5, replace) yscale(range(6 11)) yla(6(1)11)
drop MAT1 MAT2 MAT3 MAT4 
* M6   
est restore est6	   
margins,  `MARG1' `MARG2' `MARG3' `MARG4' `MARG5' `MARG6' `MARG7' `MARG8' `MARG9' `MARG10' `MARG11' `MARG12' `MARG13' post						 	 
matrix Mlegend  =(0, 1, 2, 3, 4)'  	 
matrix Mearly   =( _b[1bn._at], _b[2._at],  _b[3._at],  _b[4._at] ,  _b[5._at] )' 
matrix Mon      =( _b[1bn._at], _b[6._at],  _b[7._at],  _b[8._at] ,  _b[9._at] )' 
matrix Mlate    =( _b[1bn._at], _b[10._at], _b[11._at], _b[12._at] , _b[13._at] )' 
matrix Mest     = Mlegend, Mearly, Mon, Mlate 				 
svmat double Mest, name(MAT) 
line MAT2 MAT1, xlabel(0 "No" 1 "0-4" 2 "5-12" 3 "13-18" 4 "19+") title("Friends: support", size(medium)) ///
 xtitle(" ") ytitle(" ") lpattern(longdash)  lwidth(thick) graphregion(color(white)) bgcolor(white) ///
|| line MAT3 MAT1, lwidth(thick)  ///
|| line MAT4 MAT1, lpattern(dash) lwidth(thick) ///
||, legend(label(1 "Early") label(2 "On-time") label(3 "late") rows(1)) saving(MM6, replace) yscale(range(7 8)) yla(7(1)8)
drop MAT1 MAT2 MAT3 MAT4 
* M7
est restore est7   
margins,  `MARG1' `MARG2' `MARG3' `MARG4' `MARG5' `MARG6' `MARG7' `MARG8' `MARG9' `MARG10' `MARG11' `MARG12' `MARG13' post						 	 
matrix Mlegend  =(0, 1, 2, 3, 4)'  	 
matrix Mearly   =( _b[1bn._at], _b[2._at],  _b[3._at],  _b[4._at] ,  _b[5._at] )' 
matrix Mon      =( _b[1bn._at], _b[6._at],  _b[7._at],  _b[8._at] ,  _b[9._at] )' 
matrix Mlate    =( _b[1bn._at], _b[10._at], _b[11._at], _b[12._at] , _b[13._at] )' 
matrix Mest     = Mlegend, Mearly, Mon, Mlate 				 
svmat double Mest, name(MAT) 
line MAT2 MAT1, xlabel(0 "No" 1 "0-4" 2 "5-12" 3 "13-18" 4 "19+") title("Neighb.: number", size(medium)) ///
 xtitle(" ") ytitle(" ") lpattern(longdash)  lwidth(thick) graphregion(color(white)) bgcolor(white) ///
|| line MAT3 MAT1, lwidth(thick)  ///
|| line MAT4 MAT1, lpattern(dash) lwidth(thick) ///
||, legend(label(1 "Early") label(2 "On-time") label(3 "late") rows(1)) saving(MM7, replace) yscale(range(2 4)) yla(2(1)4)
drop MAT1 MAT2 MAT3 MAT4 
* M8 
est restore est8	   
margins,  `MARG1' `MARG2' `MARG3' `MARG4' `MARG5' `MARG6' `MARG7' `MARG8' `MARG9' `MARG10' `MARG11' `MARG12' `MARG13' post						 	 
matrix Mlegend  =(0, 1, 2, 3, 4)'  	 
matrix Mearly   =( _b[1bn._at], _b[2._at],  _b[3._at],  _b[4._at] ,  _b[5._at] )' 
matrix Mon      =( _b[1bn._at], _b[6._at],  _b[7._at],  _b[8._at] ,  _b[9._at] )' 
matrix Mlate    =( _b[1bn._at], _b[10._at], _b[11._at], _b[12._at] , _b[13._at] )' 
matrix Mest     = Mlegend, Mearly, Mon, Mlate 				 
svmat double Mest, name(MAT) 
line MAT2 MAT1, xlabel(0 "No" 1 "0-4" 2 "5-12" 3 "13-18" 4 "19+") title("Neighb.: frequency", size(medium)) ///
 xtitle(" ") ytitle(" ") lpattern(longdash)  lwidth(thick) graphregion(color(white)) bgcolor(white) ///
|| line MAT3 MAT1, lwidth(thick)  ///
|| line MAT4 MAT1, lpattern(dash) lwidth(thick) ///
||, legend(label(1 "Early") label(2 "On-time") label(3 "late") rows(1)) saving(MM8, replace) yscale(range(4 10)) yla(4(2)10)
drop MAT1 MAT2 MAT3 MAT4 
* M9 
est restore est9	   
margins,  `MARG1' `MARG2' `MARG3' `MARG4' `MARG5' `MARG6' `MARG7' `MARG8' `MARG9' `MARG10' `MARG11' `MARG12' `MARG13' post						 	 
matrix Mlegend  =(0, 1, 2, 3, 4)'  	 
matrix Mearly   =( _b[1bn._at], _b[2._at],  _b[3._at],  _b[4._at] ,  _b[5._at] )' 
matrix Mon      =( _b[1bn._at], _b[6._at],  _b[7._at],  _b[8._at] ,  _b[9._at] )' 
matrix Mlate    =( _b[1bn._at], _b[10._at], _b[11._at], _b[12._at] , _b[13._at] )' 
matrix Mest     = Mlegend, Mearly, Mon, Mlate 				 
svmat double Mest, name(MAT) 
line MAT2 MAT1, xlabel(0 "No" 1 "0-4" 2 "5-12" 3 "13-18" 4 "19+") title("Neighb.: support", size(medium)) ///
 xtitle(" ") ytitle(" ") lpattern(longdash)  lwidth(thick) graphregion(color(white)) bgcolor(white) ///
|| line MAT3 MAT1, lwidth(thick)  ///
|| line MAT4 MAT1, lpattern(dash) lwidth(thick) ///
||, legend(label(1 "Early") label(2 "On-time") label(3 "late") rows(1)) saving(MM9, replace) yscale(range(3 6)) yla(3(1)6)
drop MAT1 MAT2 MAT3 MAT4 

grc1leg MM1.gph MM2.gph MM3.gph   MM4.gph MM5.gph MM6.gph   MM7.gph MM8.gph MM9.gph, legendfrom(MM1.gph) imargin(0 0 0 0) xcommon graphregion(color(white)) name(MenT4, replace)
graph display MenT4, xsize(9) ysize(12)	


